2010-03-22  Johannes Singler  <singler@kit.edu>

        * include/parallel/numeric (inner_product, partial_sum):
        Precede subsequent call with _GLIBCXX_STD_P:: to avoid ambiguity 
        between __gnu_parallel:: and std::
        * include/parallel/algobase.h (equal): Likewise.
        * include/parallel/algo.h (find_first_of, search_n, merge, nth_element,
        partial_sort, max_element, min_element): Likewise.
        * include/parallel/partial_sum.h (parallel_partial_sum_linear):
        Qualify accumulate call with __gnu_parallel::.

2010-03-18  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/backward/hash_map: Use consistently the _BACKWARD_*
	prefix for the include guard.
	* include/backward/hash_fun.h: Likewise.
	* include/backward/hashtable.h: Likewise.
	* include/backward/auto_ptr.h: Likewise.
	* include/backward/strstream: Likewise.
	* include/backward/binders.h: Likewise.
	* include/backward/hash_set: Likewise.

2010-02-23  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	Backport:
	2010-01-20  Janis Johnson  <janis187@us.ibm.com>
		    Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/21769
	* testsuite/lib/dg-options.exp (add_options_for_no_pch): Add.
	* testsuite/26_numerics/headers/cmath/c99_classification_macros_c.cc:
	Use it.

2010-01-21  Release Manager

	* GCC 4.4.3 released.

2009-12-10  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert:
        2009-12-04  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42261
	* include/bits/basic_string.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, __true_type)): Cast the second argument to value_type.
	* include/ext/sso_string_base.h (_M_construct_aux(_Integer, _Integer,
	std::__true_type)): Likewise.
	* include/ext/rc_string_base.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, std::__true_type)): Likewise.
	* testsuite/21_strings/basic_string/cons/char/42261.cc: New.
	* testsuite/21_strings/basic_string/cons/wchar_t/42261.cc: Likewise.

2009-12-09  Roman Odaisky  <to.roma.from.bugcc@qwertty.com>

	PR libstdc++/42273
	* include/bits/atomic_2.h: Fix typo.

2009-12-04  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42261
	* include/bits/basic_string.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, __true_type)): Cast the second argument to value_type.
	* include/ext/sso_string_base.h (_M_construct_aux(_Integer, _Integer,
	std::__true_type)): Likewise.
	* include/ext/rc_string_base.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, std::__true_type)): Likewise.
	* testsuite/21_strings/basic_string/cons/char/42261.cc: New.
	* testsuite/21_strings/basic_string/cons/wchar_t/42261.cc: Likewise.

2009-11-19  Johannes Singler  <singler@kit.edu>

        * include/parallel/partition.h (__parallel_partition): Correctly
        initialize chunk size.
        (__parallel_nth_element): Respect nth_element_minimal_n.  Use
        sequential nth_element as base case, instead of sequential sort.

2009-10-28  Johannes Singler  <singler@kit.edu>

        PR libstdc++/40852
        * include/parallel/multiseq_selection.h
        (multiseq_partition, multiseq_selection):  Avoid intermediate
	values exceeding the integer type range for very large inputs.

2009-10-16  Benjamin Kosnik  <bkoz@redhat.com>

        * include/c_compatibility/stdatomic.h: Include cstdatomic if
        __cplusplus.

2009-10-15  Benjamin Kosnik  <bkoz@redhat.com>

        PR libstdc++/40654
        PR libstdc++/40826
        * src/atomic.cc (atomic_flag_test_and_set_explicit): Add
        static_cast from base to derived.
        (atomic_flag_clear_explicit): Same.
        * include/bits/atomic_2.h (__atomic2::atomic_flag): Public derivation.
        Remove value type constructor.
        * include/bits/atomic_0.h (__atomic0::atomic_flag): Same.
        * include/std/future (_Future_state): Use ATOMIC_FLAG_INIT to
        initialized the atomic_flag member.

2009-10-15  Release Manager

	* GCC 4.4.2 released.

2009-09-11  Johannes Singler  <singler@ira.uka.de>

        * include/parallel/multiway_merge.h
        (multiway_merge_exact_splitting): Deallocate borders correctly.
        (parallel_multiway_merge): Remove unnecessarily complicated
        allocation, random access iterators are default-constructible;
        deallocate ne_seqs correctly.

2009-08-26  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/41005
	* configure.ac: Bump libtool_VERSION to 6:13:0.
	* configure: Regenerate.
	* src/Makefile.am: Compile fstream-inst.cc as C++0x.
	* src/Makefile.in: Regenerate.
	* config/abi/pre/gnu.ver: Add new symbols and disambiguate old ones.
	* testsuite/util/testsuite_abi.cc: Add GLIBCXX_3.4.13 version.

2009-07-22  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/valarray (valarray<>::operator=(initializer_list<>)):
	Return *this.

2009-07-22  Release Manager

	* GCC 4.4.1 released.

2009-07-15  Janis Johnson  <janis187@us.ibm.com>

	PR libstdc++/40691
	* include/bits/valarray_after.h (_Expr::operator!): Fix return type.
	* testsuite/26_numerics/valarray/40691.cc: New test.

2009-07-13  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/29_atomics/atomic_address/cons/aggregate.cc: Remove xfail.

2009-06-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40600
	* testsuite/25_algorithms/minmax/2.cc: Fix consistently with
	std::minmax return type.
	* testsuite/25_algorithms/minmax/3.cc: Likewise.

2009-06-24  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/40297
	* include/bits/atomic_0.h: Reverse debug assertions.
	* include/bits/atomic_2.h: Likewise.

2009-06-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* Revert last Change.

2009-06-20  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40497
	* include/bits/stl_iterator_base_funcs.h (next, prev): Fix the
	signature per the current C++1x draft (N2857).
	* testsuite/24_iterators/operations/40497.cc: Add.

2009-06-16  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* libsupc++/exception_ptr.h (exception_ptr::swap(exception_ptr&&)):
	Remove.
	(exception_ptr::operator=(exception_ptr&&)): Cast source to
	rvalue-reference so that move constructor is called.
	* testsuite/18_support/exception_ptr/move.cc: New.

2009-06-16  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/thread (~thread(), operator=(thread&&)): Call terminate
	if joinable.

2009-06-03  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40296
	* libsupc++/exception_ptr.h (exception_ptr::operator!,
	exception_ptr::operator __safe_bool): Only declare when
	_GLIBCXX_EH_PTR_COMPAT is undefined.
	* libsupc++/eh_ptr.cc: Define _GLIBCXX_EH_PTR_COMPAT before including
	exception_ptr.
	* testsuite/18_support/exception_ptr/40296.cc: New.
	* testsuite/18_support/exception_ptr/current_exception.cc: Adjust.

2009-06-03  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40299
	* include/ext/memory: Fully qualify calls with __gnu_cxx.
	* testsuite/ext/rope/40299.cc: New.

2009-05-21  David Billinghurst <billingd@gcc.gnu.org>

	Backport from mainline:
	PR libstdc++/36211
	* testsuite/lib/libstdc++.exp(v3_target_compile):  Add
	cxxldflags to additional_flags rather than cxx_final.

2009-05-18  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40192
	* include/bits/stl_construct.h (struct _Destroy_aux): Add.
	(_Destroy(_ForwardIterator, _ForwardIterator)): Use the latter.
	* testsuite/23_containers/vector/40192.cc: New.

2009-05-13  Ben Elliston  <bje@au.ibm.com>

	Backport from mainline:
	* include/Makefile.am (PCHFLAGS): Remove -Winvalid-pch.
	* include/Makefile.in: Likewise.

2009-05-12  Johannes Singler  <singler@ira.uka.de>

        PR libstdc++/39546
        * include/parallel/algo.h (find_switch):
        Parametrize binder2nd with const T& instead of T.
        * testsuite/25_algorithms/find/39546.cc: new test case

2009-05-07  Paolo Carlini  <paolo.carlini@oracle.com>

	* configure.ac: Bump libtool_VERSION to 6:12:0.
	* configure: Regenerate.

2009-05-07  Matthias Klose  <doko@ubuntu.com>

	PR libstdc++/40038
	* src/math_stubs_long_double.cc: Add ceill.

2009-05-06  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert:
	2009-05-03  Paolo Carlini  <paolo.carlini@oracle.com>

	* acinclude.m4 ([GLIBCXX_ENABLE_ATOMIC_BUILTINS]): Do link tests when
	possible.
	* configure: Regenerate.

2009-05-05  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/39909
	* include/std/mutex (__get_once_functor_lock, __get_once_mutex,
	__set_once_functor_lock_ptr): Replace global lock object with local
	locks on global mutex.
	* src/mutex.cc (__get_once_functor_lock, __get_once_mutex,
	__set_once_functor_lock_ptr): Likewise, keeping old function to
	preserve ABI.
	(__once_proxy): Use pointer to local lock if set, global lock
	otherwise.
	* config/abi/pre/gnu.ver: Add new symbols to new ABI version.
	* testsuite/util/testsuite_abi.cc: Add GLIBCX_3.4.12 version.
	* testsuite/30_threads/call_once/39909.cc: New.

2009-05-05  Paolo Carlini  <paolo.carlini@oracle.com>

	* acinclude.m4 ([GLIBCXX_ENABLE_ATOMIC_BUILTINS]): Do link tests when
	possible.
	* configure: Regenerate.

2009-04-30  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* scripts/create_testsuite_files: Remove thread directory.

2009-04-29  Benjamin Kosnik  <bkoz@redhat.com>

        * xml/authors.xml: Add space.
        * xml/faq.xml: Update links.
        * xml/manual/intro.xml: Same.
        * xml/manual/abi.xml: Update.
        * xml/manual/appendix_contributing.xml: Fix typo.
        * xml/manual/status_cxxtr1.xml: Update links.
        * xml/manual/status_cxx1998.xml: Same.
        * xml/manual/status_cxx200x.xml: Same.

2009-04-28  Benjamin Kosnik  <bkoz@redhat.com>

        PR libstdc++/39868
        * scripts/run_doxygen: Uncomment removal of includes.
        (problematic): Rewrite __cxxabiv1 namespace to abi.

2009-04-28  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39880
	PR libstdc++/39881
	PR libstdc++/39882
	* include/std/system_error (is_error_code_enum<errc>): Remove.
	(error_condition<>::error_condition(_ErrorCodeEnum,)
	error_condition<>::operator=(_ErrorCodeEnum)): Use make_error_condition.
	(error_code<>::error_code(_ErrorCodeEnum,),
	error_code<>::operator=(_ErrorCodeEnum)): Use make_error_code.
	* testsuite/19_diagnostics/system_error/39880.cc: New.
	* testsuite/19_diagnostics/error_condition/modifiers/39881.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/cons/39881.cc: Likewise.
	* testsuite/19_diagnostics/error_code/modifiers/39882.cc: Likewise.
	* testsuite/19_diagnostics/error_code/cons/39882.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/error_code.cc:
	Adjust.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/error_code.cc:
	Likewise.
	* testsuite/19_diagnostics/error_code/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_category/cons/copy_neg.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-4.cc: Likewise.
	* testsuite/30_threads/unique_lock/locking/2.cc: Likewise.

2009-04-26  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert the last commit.

2009-04-25  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/mutex (__get_once_functor_lock, __get_once_mutex):
	Replace global lock object with local locks on global mutex.
	* src/mutex.cc: Likewise.
	* config/abi/pre/gnu.ver: Adjust.
	* testsuite/30_threads/call_once/call_once2.cc: New.

2009-04-21  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39802
	* include/bits/locale_facets.tcc (num_get<>::_M_extract_int
	(_InIter, _InIter, ios_base&, ios_base::iostate&, _ValueT&)):
	Always accept negative values, for unsigned types too.
	* testsuite/22_locale/num_get/get/char/39802.cc: New.
	* testsuite/22_locale/num_get/get/wchar_t/39802.cc: Likewise.

2009-04-21  Release Manager

	* GCC 4.4.0 released.

2009-04-17  Uros Bizjak  <ubizjak@gmail.com>

	* config/abi/post/alpha-linux-gnu/baseline_symbols.txt: Regenerated.

2009-04-16  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/forward_list.h: Remove default std::allocator<_Tp>
	from base classes.
	* testsuite/23_containers/forward_list/capacity/1.cc: Adjust.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/status_cxx200x.xml: Edit for branch status.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/html: Regenerate.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/status_cxx1998.xml: Update to new table style.

	* doc/xml/gnu/gpl-3.0.xml: Add or adjust dbhtml markup.
	* doc/xml/gnu/fdl-1.2.xml: Same.
	* doc/xml/manual/numerics.xml: Same.
	* doc/xml/manual/concurrency.xml: Same.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/status_cxxtr1.xml: Same.
	* doc/xml/manual/containers.xml: Same.
	* doc/xml/manual/io.xml: Same.
	* doc/xml/manual/utilities.xml: Same.
	* doc/xml/manual/support.xml: Same.
	* doc/xml/manual/using.xml: Same.
	* doc/xml/manual/localization.xml: Same.
	* doc/xml/manual/locale.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/diagnostics.xml: Same.
	* doc/xml/manual/status_cxx200x.xml: Same.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/status_cxxtr1.xml: Update to new table style.
	* doc/xml/manual/status_cxx200x.xml: Adjust.

2009-04-14  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/spine.xml: Remove unused license entity, update
	copyright year.

	* doc/xml/manual/spine.xml: Markup for primary index terms.
	* doc/xml/manual/numerics.xml: Same.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/containers.xml: Same.
	* doc/xml/manual/io.xml: Same.
	* doc/xml/manual/appendix_porting.xml: Same.
	* doc/xml/manual/utilities.xml: Same.
	* doc/xml/manual/support.xml: Same.
	* doc/xml/manual/localization.xml: Same.
	* doc/xml/manual/strings.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/diagnostics.xml: Same.
	* doc/xml/manual/algorithms.xml: Same.
	* doc/xml/manual/appendix_free.xml: Same.
	* doc/xml/manual/iterators.xml: Same.

	* doc/xml/gnu/gpl-3.0.xml: Fix xml markup regressions.
	* doc/xml/gnu/fdl-1.2.xml: Same.

	* doc/xml/manual/status_cxx200x.xml: Re-write.

2009-04-14  Benjamin Kosnik  <bkoz@redhat.com>

	* include/precompiled/stdc++.h: Add.

	* doc/xml/api.xml: Add gcc-4.4.0 doxygen link.
	* doc/html/api.html: Regenerate.

2009-04-09  Nick Clifton  <nickc@redhat.com>

	* src/allocator-inst.cc: Change copyright header to refer to
	version 3 of the GNU General Public License with version 3.1
	of the GCC Runtime Library Exception and to point readers at
	the COPYING3 and COPYING3.RUNTIME files and the FSF's license
	web page.
	* config/abi/compatibility.h: Likewise.
	* config/abi/pre/gnu-versioned-namespace.ver: Likewise.
	* config/abi/pre/gnu.ver: Likewise.
	* config/allocator/bitmap_allocator_base.h: Likewise.
	* config/allocator/malloc_allocator_base.h: Likewise.
	* config/allocator/mt_allocator_base.h: Likewise.
	* config/allocator/new_allocator_base.h: Likewise.
	* config/allocator/pool_allocator_base.h: Likewise.
	* config/cpu/alpha/atomic_word.h: Likewise.
	* config/cpu/arm/cxxabi_tweaks.h: Likewise.
	* config/cpu/cris/atomic_word.h: Likewise.
	* config/cpu/cris/atomicity.h: Likewise.
	* config/cpu/generic/atomic_word.h: Likewise.
	* config/cpu/generic/atomicity_builtins/atomicity.h: Likewise.
	* config/cpu/generic/atomicity_mutex/atomicity.h: Likewise.
	* config/cpu/generic/cpu_defines.h: Likewise.
	* config/cpu/generic/cxxabi_tweaks.h: Likewise.
	* config/cpu/hppa/atomicity.h: Likewise.
	* config/cpu/i386/atomicity.h: Likewise.
	* config/cpu/i486/atomicity.h: Likewise.
	* config/cpu/ia64/atomic_word.h: Likewise.
	* config/cpu/m68k/atomicity.h: Likewise.
	* config/cpu/powerpc/atomic_word.h: Likewise.
	* config/cpu/powerpc/cpu_defines.h: Likewise.
	* config/cpu/sh/atomicity.h: Likewise.
	* config/cpu/sparc/atomic_word.h: Likewise.
	* config/cpu/sparc/atomicity.h: Likewise.
	* config/io/basic_file_stdio.cc: Likewise.
	* config/io/basic_file_stdio.h: Likewise.
	* config/io/c_io_stdio.h: Likewise.
	* config/locale/darwin/ctype_members.cc: Likewise.
	* config/locale/generic/c++locale_internal.h: Likewise.
	* config/locale/generic/c_locale.cc: Likewise.
	* config/locale/generic/c_locale.h: Likewise.
	* config/locale/generic/codecvt_members.cc: Likewise.
	* config/locale/generic/collate_members.cc: Likewise.
	* config/locale/generic/ctype_members.cc: Likewise.
	* config/locale/generic/messages_members.cc: Likewise.
	* config/locale/generic/messages_members.h: Likewise.
	* config/locale/generic/monetary_members.cc: Likewise.
	* config/locale/generic/numeric_members.cc: Likewise.
	* config/locale/generic/time_members.cc: Likewise.
	* config/locale/generic/time_members.h: Likewise.
	* config/locale/gnu/c++locale_internal.h: Likewise.
	* config/locale/gnu/c_locale.cc: Likewise.
	* config/locale/gnu/c_locale.h: Likewise.
	* config/locale/gnu/codecvt_members.cc: Likewise.
	* config/locale/gnu/collate_members.cc: Likewise.
	* config/locale/gnu/ctype_members.cc: Likewise.
	* config/locale/gnu/messages_members.cc: Likewise.
	* config/locale/gnu/messages_members.h: Likewise.
	* config/locale/gnu/monetary_members.cc: Likewise.
	* config/locale/gnu/numeric_members.cc: Likewise.
	* config/locale/gnu/time_members.cc: Likewise.
	* config/locale/gnu/time_members.h: Likewise.
	* config/locale/ieee_1003.1-2001/c_locale.cc: Likewise.
	* config/locale/ieee_1003.1-2001/c_locale.h: Likewise.
	* config/locale/ieee_1003.1-2001/messages_members.cc: Likewise.
	* config/locale/ieee_1003.1-2001/messages_members.h: Likewise.
	* config/os/aix/atomic_word.h: Likewise.
	* config/os/aix/atomicity.h: Likewise.
	* config/os/aix/ctype_base.h: Likewise.
	* config/os/aix/ctype_inline.h: Likewise.
	* config/os/aix/ctype_noninline.h: Likewise.
	* config/os/aix/os_defines.h: Likewise.
	* config/os/bsd/darwin/ctype_base.h: Likewise.
	* config/os/bsd/darwin/ctype_inline.h: Likewise.
	* config/os/bsd/darwin/ctype_noninline.h: Likewise.
	* config/os/bsd/darwin/os_defines.h: Likewise.
	* config/os/bsd/freebsd/ctype_base.h: Likewise.
	* config/os/bsd/freebsd/ctype_inline.h: Likewise.
	* config/os/bsd/freebsd/ctype_noninline.h: Likewise.
	* config/os/bsd/freebsd/os_defines.h: Likewise.
	* config/os/bsd/netbsd/ctype_base.h: Likewise.
	* config/os/bsd/netbsd/ctype_inline.h: Likewise.
	* config/os/bsd/netbsd/ctype_noninline.h: Likewise.
	* config/os/bsd/netbsd/os_defines.h: Likewise.
	* config/os/djgpp/ctype_base.h: Likewise.
	* config/os/djgpp/ctype_inline.h: Likewise.
	* config/os/djgpp/ctype_noninline.h: Likewise.
	* config/os/djgpp/os_defines.h: Likewise.
	* config/os/generic/ctype_base.h: Likewise.
	* config/os/generic/ctype_inline.h: Likewise.
	* config/os/generic/ctype_noninline.h: Likewise.
	* config/os/generic/error_constants.h: Likewise.
	* config/os/generic/os_defines.h: Likewise.
	* config/os/gnu-linux/ctype_base.h: Likewise.
	* config/os/gnu-linux/ctype_inline.h: Likewise.
	* config/os/gnu-linux/ctype_noninline.h: Likewise.
	* config/os/gnu-linux/os_defines.h: Likewise.
	* config/os/hpux/ctype_base.h: Likewise.
	* config/os/hpux/ctype_inline.h: Likewise.
	* config/os/hpux/ctype_noninline.h: Likewise.
	* config/os/hpux/os_defines.h: Likewise.
	* config/os/irix/atomic_word.h: Likewise.
	* config/os/irix/atomicity.h: Likewise.
	* config/os/irix/irix5.2/ctype_base.h: Likewise.
	* config/os/irix/irix5.2/ctype_inline.h: Likewise.
	* config/os/irix/irix5.2/ctype_noninline.h: Likewise.
	* config/os/irix/irix5.2/os_defines.h: Likewise.
	* config/os/irix/irix6.5/ctype_base.h: Likewise.
	* config/os/irix/irix6.5/ctype_inline.h: Likewise.
	* config/os/irix/irix6.5/ctype_noninline.h: Likewise.
	* config/os/irix/irix6.5/os_defines.h: Likewise.
	* config/os/mingw32/ctype_base.h: Likewise.
	* config/os/mingw32/ctype_inline.h: Likewise.
	* config/os/mingw32/ctype_noninline.h: Likewise.
	* config/os/mingw32/error_constants.h: Likewise.
	* config/os/mingw32/os_defines.h: Likewise.
	* config/os/newlib/ctype_base.h: Likewise.
	* config/os/newlib/ctype_inline.h: Likewise.
	* config/os/newlib/ctype_noninline.h: Likewise.
	* config/os/newlib/os_defines.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_base.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_inline.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_noninline.h: Likewise.
	* config/os/qnx/qnx6.1/os_defines.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_base.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_inline.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_noninline.h: Likewise.
	* config/os/solaris/solaris2.7/os_defines.h: Likewise.
	* config/os/tpf/ctype_base.h: Likewise.
	* config/os/tpf/ctype_inline.h: Likewise.
	* config/os/tpf/ctype_noninline.h: Likewise.
	* config/os/tpf/os_defines.h: Likewise.
	* config/os/uclibc/ctype_base.h: Likewise.
	* config/os/uclibc/ctype_inline.h: Likewise.
	* config/os/uclibc/ctype_noninline.h: Likewise.
	* config/os/uclibc/os_defines.h: Likewise.
	* config/os/vxworks/ctype_base.h: Likewise.
	* config/os/vxworks/ctype_inline.h: Likewise.
	* config/os/vxworks/ctype_noninline.h: Likewise.
	* config/os/vxworks/os_defines.h: Likewise.
	* include/backward/auto_ptr.h: Likewise.
	* include/backward/backward_warning.h: Likewise.
	* include/backward/binders.h: Likewise.
	* include/backward/hash_fun.h: Likewise.
	* include/backward/hash_map: Likewise.
	* include/backward/hash_set: Likewise.
	* include/backward/hashtable.h: Likewise.
	* include/backward/strstream: Likewise.
	* include/bits/algorithmfwd.h: Likewise.
	* include/bits/allocator.h: Likewise.
	* include/bits/atomic_0.h: Likewise.
	* include/bits/atomic_2.h: Likewise.
	* include/bits/atomicfwd_c.h: Likewise.
	* include/bits/atomicfwd_cxx.h: Likewise.
	* include/bits/basic_ios.h: Likewise.
	* include/bits/basic_ios.tcc: Likewise.
	* include/bits/basic_string.h: Likewise.
	* include/bits/basic_string.tcc: Likewise.
	* include/bits/boost_concept_check.h: Likewise.
	* include/bits/c++config: Likewise.
	* include/bits/char_traits.h: Likewise.
	* include/bits/codecvt.h: Likewise.
	* include/bits/concept_check.h: Likewise.
	* include/bits/cpp_type_traits.h: Likewise.
	* include/bits/deque.tcc: Likewise.
	* include/bits/forward_list.h: Likewise.
	* include/bits/forward_list.tcc: Likewise.
	* include/bits/fstream.tcc: Likewise.
	* include/bits/functexcept.h: Likewise.
	* include/bits/functional_hash.h: Likewise.
	* include/bits/gslice.h: Likewise.
	* include/bits/gslice_array.h: Likewise.
	* include/bits/hashtable.h: Likewise.
	* include/bits/indirect_array.h: Likewise.
	* include/bits/ios_base.h: Likewise.
	* include/bits/istream.tcc: Likewise.
	* include/bits/list.tcc: Likewise.
	* include/bits/locale_classes.h: Likewise.
	* include/bits/locale_classes.tcc: Likewise.
	* include/bits/locale_facets.h: Likewise.
	* include/bits/locale_facets.tcc: Likewise.
	* include/bits/locale_facets_nonio.h: Likewise.
	* include/bits/locale_facets_nonio.tcc: Likewise.
	* include/bits/localefwd.h: Likewise.
	* include/bits/mask_array.h: Likewise.
	* include/bits/move.h: Likewise.
	* include/bits/ostream.tcc: Likewise.
	* include/bits/ostream_insert.h: Likewise.
	* include/bits/postypes.h: Likewise.
	* include/bits/shared_ptr.h: Likewise.
	* include/bits/slice_array.h: Likewise.
	* include/bits/sstream.tcc: Likewise.
	* include/bits/stl_algo.h: Likewise.
	* include/bits/stl_algobase.h: Likewise.
	* include/bits/stl_bvector.h: Likewise.
	* include/bits/stl_construct.h: Likewise.
	* include/bits/stl_deque.h: Likewise.
	* include/bits/stl_function.h: Likewise.
	* include/bits/stl_heap.h: Likewise.
	* include/bits/stl_iterator.h: Likewise.
	* include/bits/stl_iterator_base_funcs.h: Likewise.
	* include/bits/stl_iterator_base_types.h: Likewise.
	* include/bits/stl_list.h: Likewise.
	* include/bits/stl_map.h: Likewise.
	* include/bits/stl_multimap.h: Likewise.
	* include/bits/stl_multiset.h: Likewise.
	* include/bits/stl_numeric.h: Likewise.
	* include/bits/stl_pair.h: Likewise.
	* include/bits/stl_queue.h: Likewise.
	* include/bits/stl_raw_storage_iter.h: Likewise.
	* include/bits/stl_relops.h: Likewise.
	* include/bits/stl_set.h: Likewise.
	* include/bits/stl_stack.h: Likewise.
	* include/bits/stl_tempbuf.h: Likewise.
	* include/bits/stl_tree.h: Likewise.
	* include/bits/stl_uninitialized.h: Likewise.
	* include/bits/stl_vector.h: Likewise.
	* include/bits/stream_iterator.h: Likewise.
	* include/bits/streambuf.tcc: Likewise.
	* include/bits/streambuf_iterator.h: Likewise.
	* include/bits/stringfwd.h: Likewise.
	* include/bits/unique_ptr.h: Likewise.
	* include/bits/valarray_after.h: Likewise.
	* include/bits/valarray_array.h: Likewise.
	* include/bits/valarray_array.tcc: Likewise.
	* include/bits/valarray_before.h: Likewise.
	* include/bits/vector.tcc: Likewise.
	* include/c/cassert: Likewise.
	* include/c/cctype: Likewise.
	* include/c/cerrno: Likewise.
	* include/c/cfloat: Likewise.
	* include/c/ciso646: Likewise.
	* include/c/climits: Likewise.
	* include/c/clocale: Likewise.
	* include/c/cmath: Likewise.
	* include/c/csetjmp: Likewise.
	* include/c/csignal: Likewise.
	* include/c/cstdarg: Likewise.
	* include/c/cstddef: Likewise.
	* include/c/cstdio: Likewise.
	* include/c/cstdlib: Likewise.
	* include/c/cstring: Likewise.
	* include/c/ctime: Likewise.
	* include/c/cwchar: Likewise.
	* include/c/cwctype: Likewise.
	* include/c_compatibility/assert.h: Likewise.
	* include/c_compatibility/complex.h: Likewise.
	* include/c_compatibility/ctype.h: Likewise.
	* include/c_compatibility/errno.h: Likewise.
	* include/c_compatibility/fenv.h: Likewise.
	* include/c_compatibility/float.h: Likewise.
	* include/c_compatibility/inttypes.h: Likewise.
	* include/c_compatibility/iso646.h: Likewise.
	* include/c_compatibility/limits.h: Likewise.
	* include/c_compatibility/locale.h: Likewise.
	* include/c_compatibility/math.h: Likewise.
	* include/c_compatibility/setjmp.h: Likewise.
	* include/c_compatibility/signal.h: Likewise.
	* include/c_compatibility/stdarg.h: Likewise.
	* include/c_compatibility/stdatomic.h: Likewise.
	* include/c_compatibility/stdbool.h: Likewise.
	* include/c_compatibility/stddef.h: Likewise.
	* include/c_compatibility/stdint.h: Likewise.
	* include/c_compatibility/stdio.h: Likewise.
	* include/c_compatibility/stdlib.h: Likewise.
	* include/c_compatibility/string.h: Likewise.
	* include/c_compatibility/tgmath.h: Likewise.
	* include/c_compatibility/time.h: Likewise.
	* include/c_compatibility/wchar.h: Likewise.
	* include/c_compatibility/wctype.h: Likewise.
	* include/c_global/cassert: Likewise.
	* include/c_global/ccomplex: Likewise.
	* include/c_global/cctype: Likewise.
	* include/c_global/cerrno: Likewise.
	* include/c_global/cfenv: Likewise.
	* include/c_global/cfloat: Likewise.
	* include/c_global/cinttypes: Likewise.
	* include/c_global/ciso646: Likewise.
	* include/c_global/climits: Likewise.
	* include/c_global/clocale: Likewise.
	* include/c_global/cmath.tcc: Likewise.
	* include/c_global/cmath: Likewise.
	* include/c_global/csetjmp: Likewise.
	* include/c_global/csignal: Likewise.
	* include/c_global/cstdarg: Likewise.
	* include/c_global/cstdatomic: Likewise.
	* include/c_global/cstdbool: Likewise.
	* include/c_global/cstddef: Likewise.
	* include/c_global/cstdint: Likewise.
	* include/c_global/cstdio: Likewise.
	* include/c_global/cstdlib: Likewise.
	* include/c_global/cstring: Likewise.
	* include/c_global/ctgmath: Likewise.
	* include/c_global/ctime: Likewise.
	* include/c_global/cwchar: Likewise.
	* include/c_global/cwctype: Likewise.
	* include/c_std/cassert: Likewise.
	* include/c_std/cctype: Likewise.
	* include/c_std/cerrno: Likewise.
	* include/c_std/cfloat: Likewise.
	* include/c_std/ciso646: Likewise.
	* include/c_std/climits: Likewise.
	* include/c_std/clocale: Likewise.
	* include/c_std/cmath.tcc: Likewise.
	* include/c_std/cmath: Likewise.
	* include/c_std/csetjmp: Likewise.
	* include/c_std/csignal: Likewise.
	* include/c_std/cstdarg: Likewise.
	* include/c_std/cstddef: Likewise.
	* include/c_std/cstdio: Likewise.
	* include/c_std/cstdlib: Likewise.
	* include/c_std/cstring: Likewise.
	* include/c_std/ctime: Likewise.
	* include/c_std/cwchar: Likewise.
	* include/c_std/cwctype: Likewise.
	* include/debug/bitset: Likewise.
	* include/debug/debug.h: Likewise.
	* include/debug/deque: Likewise.
	* include/debug/formatter.h: Likewise.
	* include/debug/functions.h: Likewise.
	* include/debug/list: Likewise.
	* include/debug/macros.h: Likewise.
	* include/debug/map.h: Likewise.
	* include/debug/map: Likewise.
	* include/debug/multimap.h: Likewise.
	* include/debug/multiset.h: Likewise.
	* include/debug/safe_base.h: Likewise.
	* include/debug/safe_iterator.h: Likewise.
	* include/debug/safe_iterator.tcc: Likewise.
	* include/debug/safe_sequence.h: Likewise.
	* include/debug/set.h: Likewise.
	* include/debug/set: Likewise.
	* include/debug/string: Likewise.
	* include/debug/unordered_map: Likewise.
	* include/debug/unordered_set: Likewise.
	* include/debug/vector: Likewise.
	* include/ext/algorithm: Likewise.
	* include/ext/array_allocator.h: Likewise.
	* include/ext/atomicity.h: Likewise.
	* include/ext/bitmap_allocator.h: Likewise.
	* include/ext/cast.h: Likewise.
	* include/ext/codecvt_specializations.h: Likewise.
	* include/ext/concurrence.h: Likewise.
	* include/ext/debug_allocator.h: Likewise.
	* include/ext/enc_filebuf.h: Likewise.
	* include/ext/extptr_allocator.h: Likewise.
	* include/ext/functional: Likewise.
	* include/ext/iterator: Likewise.
	* include/ext/malloc_allocator.h: Likewise.
	* include/ext/memory: Likewise.
	* include/ext/mt_allocator.h: Likewise.
	* include/ext/new_allocator.h: Likewise.
	* include/ext/numeric: Likewise.
	* include/ext/numeric_traits.h: Likewise.
	* include/ext/pb_ds/assoc_container.hpp: Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/basic_tree_policy_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/null_node_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/basic_types.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/bin_search_tree_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/cond_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/cond_key_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/node_iterators.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/point_iterators.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/r_erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/rotate_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/binary_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/const_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/entry_cmp.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/entry_pred.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/resize_policy.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/binomial_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/binomial_heap_base_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cc_ht_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cmp_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cond_key_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/entry_list_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/find_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/size_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/standard_policies.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cond_dealtor.hpp: Likewise.
	* include/ext/pb_ds/detail/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/container_base_dispatch.hpp: Likewise.
	* include/ext/pb_ds/detail/debug_map_base.hpp: Likewise.
	* include/ext/pb_ds/detail/eq_fn/eq_by_less.hpp: Likewise.
	* include/ext/pb_ds/detail/eq_fn/hash_eq_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/gp_ht_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/iterator_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/standard_policies.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/direct_mask_range_hashing_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/direct_mod_range_hashing_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/linear_probe_fn_imp.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/mask_based_range_hashing.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/mod_based_range_hashing.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/probe_fn_base.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/quadratic_probe_fn_imp.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/ranged_hash_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/ranged_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_range_hashing.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_ranged_hash_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_ranged_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/const_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/left_child_next_sibling_heap_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/node.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/null_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/entry_metadata_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/lu_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_policy/counter_lu_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/counter_lu_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/mtf_lu_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/sample_update_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/cond_dtor.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/node_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/ov_tree_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/pairing_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/child_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/cond_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/const_child_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/head.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/insert_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/internal_node.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/leaf.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_base.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_metadata_base.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/pat_trie_.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/point_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/r_erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/rotate_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/split_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/split_join_branch_bag.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/synth_e_access_traits.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/update_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/priority_queue_base_dispatch.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/node.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/rb_tree_.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/rc.hpp: Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/rc_binomial_heap_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/cc_hash_max_collision_check_resize_trigger_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_exponential_size_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_size_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_prime_size_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_standard_resize_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_resize_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_resize_trigger.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_size_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/splay_tree_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/splay_tree_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/node.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/splay_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/splay_tree_.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/split_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/standard_policies.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/thin_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/split_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/thin_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/tree_policy/node_metadata_selector.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/null_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/order_statistics_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/sample_tree_node_update.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_trace_base.hpp: Likewise.
	* include/ext/pb_ds/detail/trie_policy/node_metadata_selector.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/null_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/order_statistics_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/prefix_search_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/sample_trie_e_access_traits.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/sample_trie_node_update.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/string_trie_e_access_traits_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/trie_policy_base.hpp: Likewise.
	* include/ext/pb_ds/detail/type_utils.hpp: Likewise.
	* include/ext/pb_ds/detail/types_traits.hpp: Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/const_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/exception.hpp: Likewise.
	* include/ext/pb_ds/hash_policy.hpp: Likewise.
	* include/ext/pb_ds/list_update_policy.hpp: Likewise.
	* include/ext/pb_ds/priority_queue.hpp: Likewise.
	* include/ext/pb_ds/tag_and_trait.hpp: Likewise.
	* include/ext/pb_ds/tree_policy.hpp: Likewise.
	* include/ext/pb_ds/trie_policy.hpp: Likewise.
	* include/ext/pod_char_traits.h: Likewise.
	* include/ext/pointer.h: Likewise.
	* include/ext/pool_allocator.h: Likewise.
	* include/ext/rb_tree: Likewise.
	* include/ext/rc_string_base.h: Likewise.
	* include/ext/rope: Likewise.
	* include/ext/ropeimpl.h: Likewise.
	* include/ext/slist: Likewise.
	* include/ext/sso_string_base.h: Likewise.
	* include/ext/stdio_filebuf.h: Likewise.
	* include/ext/stdio_sync_filebuf.h: Likewise.
	* include/ext/string_conversions.h: Likewise.
	* include/ext/throw_allocator.h: Likewise.
	* include/ext/type_traits.h: Likewise.
	* include/ext/typelist.h: Likewise.
	* include/ext/vstring.h: Likewise.
	* include/ext/vstring.tcc: Likewise.
	* include/ext/vstring_fwd.h: Likewise.
	* include/ext/vstring_util.h: Likewise.
	* include/parallel/algo.h: Likewise.
	* include/parallel/algobase.h: Likewise.
	* include/parallel/algorithm: Likewise.
	* include/parallel/algorithmfwd.h: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/basic_iterator.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* include/parallel/compatibility.h: Likewise.
	* include/parallel/compiletime_settings.h: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/features.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/iterator.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/numericfwd.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/parallel.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/quicksort.h: Likewise.
	* include/parallel/random_number.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/set_operations.h: Likewise.
	* include/parallel/settings.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/tags.h: Likewise.
	* include/parallel/types.h: Likewise.
	* include/parallel/unique_copy.h: Likewise.
	* include/parallel/workstealing.h: Likewise.
	* include/precompiled/extc++.h: Likewise.
	* include/precompiled/stdc++.h: Likewise.
	* include/precompiled/stdtr1c++.h: Likewise.
	* include/std/algorithm: Likewise.
	* include/std/array: Likewise.
	* include/std/bitset: Likewise.
	* include/std/c++0x_warning.h: Likewise.
	* include/std/chrono: Likewise.
	* include/std/complex: Likewise.
	* include/std/condition_variable: Likewise.
	* include/std/deque: Likewise.
	* include/std/forward_list: Likewise.
	* include/std/fstream: Likewise.
	* include/std/functional: Likewise.
	* include/std/iomanip: Likewise.
	* include/std/ios: Likewise.
	* include/std/iosfwd: Likewise.
	* include/std/iostream: Likewise.
	* include/std/istream: Likewise.
	* include/std/iterator: Likewise.
	* include/std/limits: Likewise.
	* include/std/list: Likewise.
	* include/std/locale: Likewise.
	* include/std/map: Likewise.
	* include/std/memory: Likewise.
	* include/std/mutex: Likewise.
	* include/std/numeric: Likewise.
	* include/std/ostream: Likewise.
	* include/std/queue: Likewise.
	* include/std/random: Likewise.
	* include/std/ratio: Likewise.
	* include/std/regex: Likewise.
	* include/std/set: Likewise.
	* include/std/sstream: Likewise.
	* include/std/stack: Likewise.
	* include/std/stdexcept: Likewise.
	* include/std/streambuf: Likewise.
	* include/std/string: Likewise.
	* include/std/system_error: Likewise.
	* include/std/thread: Likewise.
	* include/std/tuple: Likewise.
	* include/std/type_traits: Likewise.
	* include/std/unordered_map: Likewise.
	* include/std/unordered_set: Likewise.
	* include/std/utility: Likewise.
	* include/std/valarray: Likewise.
	* include/std/vector: Likewise.
	* include/tr1/array: Likewise.
	* include/tr1/bessel_function.tcc: Likewise.
	* include/tr1/beta_function.tcc: Likewise.
	* include/tr1/ccomplex: Likewise.
	* include/tr1/cctype: Likewise.
	* include/tr1/cfenv: Likewise.
	* include/tr1/cfloat: Likewise.
	* include/tr1/cinttypes: Likewise.
	* include/tr1/climits: Likewise.
	* include/tr1/cmath: Likewise.
	* include/tr1/complex.h: Likewise.
	* include/tr1/complex: Likewise.
	* include/tr1/cstdarg: Likewise.
	* include/tr1/cstdbool: Likewise.
	* include/tr1/cstdint: Likewise.
	* include/tr1/cstdio: Likewise.
	* include/tr1/cstdlib: Likewise.
	* include/tr1/ctgmath: Likewise.
	* include/tr1/ctime: Likewise.
	* include/tr1/ctype.h: Likewise.
	* include/tr1/cwchar: Likewise.
	* include/tr1/cwctype: Likewise.
	* include/tr1/ell_integral.tcc: Likewise.
	* include/tr1/exp_integral.tcc: Likewise.
	* include/tr1/fenv.h: Likewise.
	* include/tr1/float.h: Likewise.
	* include/tr1/functional: Likewise.
	* include/tr1/functional_hash.h: Likewise.
	* include/tr1/gamma.tcc: Likewise.
	* include/tr1/hashtable.h: Likewise.
	* include/tr1/hypergeometric.tcc: Likewise.
	* include/tr1/inttypes.h: Likewise.
	* include/tr1/legendre_function.tcc: Likewise.
	* include/tr1/limits.h: Likewise.
	* include/tr1/math.h: Likewise.
	* include/tr1/memory: Likewise.
	* include/tr1/modified_bessel_func.tcc: Likewise.
	* include/tr1/poly_hermite.tcc: Likewise.
	* include/tr1/poly_laguerre.tcc: Likewise.
	* include/tr1/random: Likewise.
	* include/tr1/regex: Likewise.
	* include/tr1/riemann_zeta.tcc: Likewise.
	* include/tr1/shared_ptr.h: Likewise.
	* include/tr1/special_function_util.h: Likewise.
	* include/tr1/stdarg.h: Likewise.
	* include/tr1/stdbool.h: Likewise.
	* include/tr1/stdint.h: Likewise.
	* include/tr1/stdio.h: Likewise.
	* include/tr1/stdlib.h: Likewise.
	* include/tr1/tgmath.h: Likewise.
	* include/tr1/tuple: Likewise.
	* include/tr1/type_traits: Likewise.
	* include/tr1/unordered_map: Likewise.
	* include/tr1/unordered_set: Likewise.
	* include/tr1/utility: Likewise.
	* include/tr1/wchar.h: Likewise.
	* include/tr1/wctype.h: Likewise.
	* include/tr1_impl/array: Likewise.
	* include/tr1_impl/boost_sp_counted_base.h: Likewise.
	* include/tr1_impl/cctype: Likewise.
	* include/tr1_impl/cfenv: Likewise.
	* include/tr1_impl/cinttypes: Likewise.
	* include/tr1_impl/cmath: Likewise.
	* include/tr1_impl/complex: Likewise.
	* include/tr1_impl/cstdint: Likewise.
	* include/tr1_impl/cstdio: Likewise.
	* include/tr1_impl/cstdlib: Likewise.
	* include/tr1_impl/cwchar: Likewise.
	* include/tr1_impl/cwctype: Likewise.
	* include/tr1_impl/functional: Likewise.
	* include/tr1_impl/functional_hash.h: Likewise.
	* include/tr1_impl/hashtable: Likewise.
	* include/tr1_impl/hashtable_policy.h: Likewise.
	* include/tr1_impl/random.tcc: Likewise.
	* include/tr1_impl/random: Likewise.
	* include/tr1_impl/regex: Likewise.
	* include/tr1_impl/type_traits: Likewise.
	* include/tr1_impl/unordered_map: Likewise.
	* include/tr1_impl/unordered_set: Likewise.
	* include/tr1_impl/utility: Likewise.
	* libsupc++/array_type_info.cc: Likewise.
	* libsupc++/atexit_arm.cc: Likewise.
	* libsupc++/bad_cast.cc: Likewise.
	* libsupc++/bad_typeid.cc: Likewise.
	* libsupc++/class_type_info.cc: Likewise.
	* libsupc++/cxxabi-forced.h: Likewise.
	* libsupc++/cxxabi.h: Likewise.
	* libsupc++/del_op.cc: Likewise.
	* libsupc++/del_opnt.cc: Likewise.
	* libsupc++/del_opv.cc: Likewise.
	* libsupc++/del_opvnt.cc: Likewise.
	* libsupc++/dyncast.cc: Likewise.
	* libsupc++/eh_alloc.cc: Likewise.
	* libsupc++/eh_arm.cc: Likewise.
	* libsupc++/eh_aux_runtime.cc: Likewise.
	* libsupc++/eh_call.cc: Likewise.
	* libsupc++/eh_catch.cc: Likewise.
	* libsupc++/eh_exception.cc: Likewise.
	* libsupc++/eh_globals.cc: Likewise.
	* libsupc++/eh_personality.cc: Likewise.
	* libsupc++/eh_ptr.cc: Likewise.
	* libsupc++/eh_term_handler.cc: Likewise.
	* libsupc++/eh_terminate.cc: Likewise.
	* libsupc++/eh_throw.cc: Likewise.
	* libsupc++/eh_type.cc: Likewise.
	* libsupc++/eh_unex_handler.cc: Likewise.
	* libsupc++/enum_type_info.cc: Likewise.
	* libsupc++/exception: Likewise.
	* libsupc++/exception_defines.h: Likewise.
	* libsupc++/exception_ptr.h: Likewise.
	* libsupc++/function_type_info.cc: Likewise.
	* libsupc++/fundamental_type_info.cc: Likewise.
	* libsupc++/guard.cc: Likewise.
	* libsupc++/initializer_list: Likewise.
	* libsupc++/new: Likewise.
	* libsupc++/new_handler.cc: Likewise.
	* libsupc++/new_op.cc: Likewise.
	* libsupc++/new_opnt.cc: Likewise.
	* libsupc++/new_opv.cc: Likewise.
	* libsupc++/new_opvnt.cc: Likewise.
	* libsupc++/pbase_type_info.cc: Likewise.
	* libsupc++/pmem_type_info.cc: Likewise.
	* libsupc++/pointer_type_info.cc: Likewise.
	* libsupc++/pure.cc: Likewise.
	* libsupc++/si_class_type_info.cc: Likewise.
	* libsupc++/tinfo.cc: Likewise.
	* libsupc++/tinfo.h: Likewise.
	* libsupc++/tinfo2.cc: Likewise.
	* libsupc++/typeinfo: Likewise.
	* libsupc++/unwind-cxx.h: Likewise.
	* libsupc++/vec.cc: Likewise.
	* libsupc++/vmi_class_type_info.cc: Likewise.
	* libsupc++/vterminate.cc: Likewise.
	* po/string_literals.cc: Likewise.
	* src/atomic.cc: Likewise.
	* src/bitmap_allocator.cc: Likewise.
	* src/chrono.cc: Likewise.
	* src/codecvt.cc: Likewise.
	* src/compatibility-ldbl.cc: Likewise.
	* src/compatibility.cc: Likewise.
	* src/complex_io.cc: Likewise.
	* src/concept-inst.cc: Likewise.
	* src/condition_variable.cc: Likewise.
	* src/ctype.cc: Likewise.
	* src/debug.cc: Likewise.
	* src/debug_list.cc: Likewise.
	* src/ext-inst.cc: Likewise.
	* src/fstream-inst.cc: Likewise.
	* src/functexcept.cc: Likewise.
	* src/globals_io.cc: Likewise.
	* src/hash.cc: Likewise.
	* src/hash_c++0x.cc: Likewise.
	* src/hashtable.cc: Likewise.
	* src/hashtable_c++0x.cc: Likewise.
	* src/ios-inst.cc: Likewise.
	* src/ios.cc: Likewise.
	* src/ios_failure.cc: Likewise.
	* src/ios_init.cc: Likewise.
	* src/ios_locale.cc: Likewise.
	* src/iostream-inst.cc: Likewise.
	* src/istream-inst.cc: Likewise.
	* src/istream.cc: Likewise.
	* src/limits.cc: Likewise.
	* src/limits_c++0x.cc: Likewise.
	* src/list.cc: Likewise.
	* src/locale-inst.cc: Likewise.
	* src/locale.cc: Likewise.
	* src/locale_facets.cc: Likewise.
	* src/locale_init.cc: Likewise.
	* src/localename.cc: Likewise.
	* src/math_stubs_float.cc: Likewise.
	* src/math_stubs_long_double.cc: Likewise.
	* src/misc-inst.cc: Likewise.
	* src/mt_allocator.cc: Likewise.
	* src/mutex.cc: Likewise.
	* src/ostream-inst.cc: Likewise.
	* src/parallel_list.cc: Likewise.
	* src/parallel_settings.cc: Likewise.
	* src/pool_allocator.cc: Likewise.
	* src/sstream-inst.cc: Likewise.
	* src/stdexcept.cc: Likewise.
	* src/streambuf-inst.cc: Likewise.
	* src/streambuf.cc: Likewise.
	* src/string-inst.cc: Likewise.
	* src/strstream.cc: Likewise.
	* src/system_error.cc: Likewise.
	* src/thread.cc: Likewise.
	* src/tree.cc: Likewise.
	* src/valarray-inst.cc: Likewise.
	* src/wlocale-inst.cc: Likewise.
	* src/wstring-inst.cc: Likewise.
	* doc/xml/manual/intro.xml: Change documentation to refer the
	reader to version 3 of the GNU General Public License, version
	3.1 of the GCC Runtime Library Exception, and to point readers
	at the FSF's license web page.

2009-04-09  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.am: Change copyright header to refer to version
	3 of the GNU General Public License and to point readers at the
	COPYING3 file and the FSF's license web page.
	* doc/Makefile.am: Likewise.
	* include/Makefile.am: Likewise.
	* libsupc++/Makefile.am: Likewise.
	* po/Makefile.am: Likewise.
	* po/POTFILES.in: Likewise.
	* src/Makefile.am: Likewise.
	* testsuite/17_intro/headers/all_assert_neg.cc: Likewise.
	* testsuite/17_intro/headers/c++1998/all.cc: Likewise.
	* testsuite/17_intro/headers/c++1998/all_multiple_inclusion.cc:
	Likewise.
	* testsuite/17_intro/headers/c++200x/all.cc: Likewise.
	* testsuite/17_intro/headers/c++200x/all_multiple_inclusion.cc:
	Likewise.
	* testsuite/17_intro/using_namespace_std.cc: Likewise.
	* testsuite/17_intro/using_namespace_std_tr1_neg.cc: Likewise.
	* testsuite/18_support/bad_alloc/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_alloc/what.cc: Likewise.
	* testsuite/18_support/bad_cast/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_cast/what.cc: Likewise.
	* testsuite/18_support/bad_exception/23591_thread-1.c: Likewise.
	* testsuite/18_support/bad_exception/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/18_support/bad_exception/what.cc: Likewise.
	* testsuite/18_support/bad_typeid/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_typeid/what.cc: Likewise.
	* testsuite/18_support/exception/38732.cc: Likewise.
	* testsuite/18_support/exception/what.cc: Likewise.
	* testsuite/18_support/exception_ptr/current_exception.cc: Likewise.
	* testsuite/18_support/exception_ptr/lifespan.cc: Likewise.
	* testsuite/18_support/exception_ptr/rethrow_exception.cc: Likewise.
	* testsuite/18_support/headers/cfloat/values.cc: Likewise.
	* testsuite/18_support/headers/climits/values.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/functions_std.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/macros.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/types_std.cc: Likewise.
	* testsuite/18_support/headers/csignal/functions_std.cc: Likewise.
	* testsuite/18_support/headers/csignal/macros.cc: Likewise.
	* testsuite/18_support/headers/csignal/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdarg/macros.cc: Likewise.
	* testsuite/18_support/headers/cstdarg/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdbool/std_c++0x_neg.cc: Likewise.
	* testsuite/18_support/headers/cstddef/macros.cc: Likewise.
	* testsuite/18_support/headers/cstddef/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdint/std_c++0x_neg.cc: Likewise.
	* testsuite/18_support/headers/cstdint/types_std_c++0x.cc: Likewise.
	* testsuite/18_support/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/18_support/headers/cstdlib/macros.cc: Likewise.
	* testsuite/18_support/headers/ctime/functions_std.cc: Likewise.
	* testsuite/18_support/headers/ctime/macros.cc: Likewise.
	* testsuite/18_support/headers/ctime/types_std.cc: Likewise.
	* testsuite/18_support/headers/exception/synopsis.cc: Likewise.
	* testsuite/18_support/headers/exception/types_std.cc: Likewise.
	* testsuite/18_support/headers/limits/synopsis.cc: Likewise.
	* testsuite/18_support/headers/new/synopsis.cc: Likewise.
	* testsuite/18_support/headers/new/types_std.cc: Likewise.
	* testsuite/18_support/headers/typeinfo/synopsis.cc: Likewise.
	* testsuite/18_support/headers/typeinfo/types_std.cc: Likewise.
	* testsuite/18_support/new_delete_placement.cc: Likewise.
	* testsuite/18_support/numeric_limits/29989.cc: Likewise.
	* testsuite/18_support/numeric_limits/char16_32_t.cc: Likewise.
	* testsuite/18_support/numeric_limits/denorm_min.cc: Likewise.
	* testsuite/18_support/numeric_limits/digits10.cc: Likewise.
	* testsuite/18_support/numeric_limits/epsilon.cc: Likewise.
	* testsuite/18_support/numeric_limits/infinity.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_iec559.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_signed.cc: Likewise.
	* testsuite/18_support/numeric_limits/min_max.cc: Likewise.
	* testsuite/18_support/numeric_limits/quiet_NaN.cc: Likewise.
	* testsuite/18_support/numeric_limits/specialization_default_values.cc:
	Likewise.
	* testsuite/18_support/numeric_limits/traps.cc: Likewise.
	* testsuite/18_support/pthread_guard.cc: Likewise.
	* testsuite/18_support/uncaught_exception/14026.cc: Likewise.
	* testsuite/19_diagnostics/error_category/cons/copy_neg.cc: Likewise.
	* testsuite/19_diagnostics/error_category/cons/default.cc: Likewise.
	* testsuite/19_diagnostics/error_category/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_category/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_code/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool_neg.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/not_equal.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/operators/bool_neg.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/operators/equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/cassert/macros.cc: Likewise.
	* testsuite/19_diagnostics/headers/cerrno/macros.cc: Likewise.
	* testsuite/19_diagnostics/headers/stdexcept/synopsis.cc: Likewise.
	* testsuite/19_diagnostics/headers/stdexcept/types_std.cc: Likewise.
	* testsuite/19_diagnostics/headers/system_error/34538.cc: Likewise.
	* testsuite/19_diagnostics/headers/system_error/errc_std_c++0x.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/system_error/std_c++0x_neg.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/system_error/types_std_c++0x.cc:
	Likewise.
	* testsuite/19_diagnostics/logic_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/logic_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-big.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/runtime_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-big.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/system_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-4.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-big.cc: Likewise.
	* testsuite/20_util/add_lvalue_reference/value.cc: Likewise.
	* testsuite/20_util/add_rvalue_reference/value.cc: Likewise.
	* testsuite/20_util/aligned_storage/value.cc: Likewise.
	* testsuite/20_util/allocator/1.cc: Likewise.
	* testsuite/20_util/allocator/10378.cc: Likewise.
	* testsuite/20_util/allocator/14176.cc: Likewise.
	* testsuite/20_util/allocator/33807.cc: Likewise.
	* testsuite/20_util/allocator/8230.cc: Likewise.
	* testsuite/20_util/auto_ptr/1.cc: Likewise.
	* testsuite/20_util/auto_ptr/2.cc: Likewise.
	* testsuite/20_util/auto_ptr/3.cc: Likewise.
	* testsuite/20_util/auto_ptr/3946.cc: Likewise.
	* testsuite/20_util/auto_ptr/4.cc: Likewise.
	* testsuite/20_util/auto_ptr/5.cc: Likewise.
	* testsuite/20_util/auto_ptr/6.cc: Likewise.
	* testsuite/20_util/auto_ptr/7.cc: Likewise.
	* testsuite/20_util/auto_ptr/assign_neg.cc: Likewise.
	* testsuite/20_util/bad_function_call/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/20_util/clocks/1.cc: Likewise.
	* testsuite/20_util/common_type/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/conditional/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/decay/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/duration/arithmetic/1.cc: Likewise.
	* testsuite/20_util/duration/arithmetic/2.cc: Likewise.
	* testsuite/20_util/duration/comparisons/1.cc: Likewise.
	* testsuite/20_util/duration/cons/1.cc: Likewise.
	* testsuite/20_util/duration/cons/1_neg.cc: Likewise.
	* testsuite/20_util/duration/cons/2.cc: Likewise.
	* testsuite/20_util/duration/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/enable_if/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/enable_if/requirements/typedefs_neg.cc: Likewise.
	* testsuite/20_util/enable_shared_from_this/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/forward/1.cc: Likewise.
	* testsuite/20_util/forward/1_neg.cc: Likewise.
	* testsuite/20_util/function_objects/binders/1.cc: Likewise.
	* testsuite/20_util/function_objects/binders/3113.cc: Likewise.
	* testsuite/20_util/function_objects/comparisons.cc: Likewise.
	* testsuite/20_util/function_objects/dr660.cc: Likewise.
	* testsuite/20_util/has_nothrow_copy_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_nothrow_copy_constructor/value.cc: Likewise.
	* testsuite/20_util/has_nothrow_default_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_nothrow_default_constructor/value.cc: Likewise.
	* testsuite/20_util/has_trivial_copy_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_trivial_copy_constructor/value.cc: Likewise.
	* testsuite/20_util/has_trivial_default_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_trivial_default_constructor/value.cc: Likewise.
	* testsuite/20_util/hash/operators/size_t.cc: Likewise.
	* testsuite/20_util/hash/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/20_util/headers/cstring/functions_std.cc: Likewise.
	* testsuite/20_util/headers/cstring/macros.cc: Likewise.
	* testsuite/20_util/headers/cstring/types_std.cc: Likewise.
	* testsuite/20_util/headers/ctime/functions_std.cc: Likewise.
	* testsuite/20_util/headers/ctime/macros.cc: Likewise.
	* testsuite/20_util/headers/ctime/types_std.cc: Likewise.
	* testsuite/20_util/headers/functional/synopsis.cc: Likewise.
	* testsuite/20_util/headers/functional/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/functional/using_namespace_std_placeholders.cc:
	Likewise.
	* testsuite/20_util/headers/memory/synopsis.cc: Likewise.
	* testsuite/20_util/headers/memory/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/type_traits/std_c++0x_neg.cc: Likewise.
	* testsuite/20_util/headers/type_traits/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/type_traits/types_std_c++0x_neg.cc:
	Likewise.
	* testsuite/20_util/headers/utility/synopsis.cc: Likewise.
	* testsuite/20_util/headers/utility/using_namespace_std_rel_ops.cc:
	Likewise.
	* testsuite/20_util/identity/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/identity/value.cc: Likewise.
	* testsuite/20_util/is_integral/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_integral/value.cc: Likewise.
	* testsuite/20_util/is_lvalue_reference/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/is_lvalue_reference/value.cc: Likewise.
	* testsuite/20_util/is_reference/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_reference/value.cc: Likewise.
	* testsuite/20_util/is_rvalue_reference/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/is_rvalue_reference/value.cc: Likewise.
	* testsuite/20_util/is_signed/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_signed/value.cc: Likewise.
	* testsuite/20_util/is_unsigned/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_unsigned/value.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs-2.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs-2.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.
	* testsuite/20_util/move/1.cc: Likewise.
	* testsuite/20_util/owner_less/cmp.cc: Likewise.
	* testsuite/20_util/pair/1.cc: Likewise.
	* testsuite/20_util/pair/2.cc: Likewise.
	* testsuite/20_util/pair/3.cc: Likewise.
	* testsuite/20_util/pair/4.cc: Likewise.
	* testsuite/20_util/ratio/comparisons/comp1.cc: Likewise.
	* testsuite/20_util/ratio/comparisons/comp2.cc: Likewise.
	* testsuite/20_util/ratio/cons/cons1.cc: Likewise.
	* testsuite/20_util/ratio/cons/cons_overflow_neg.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops1.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops2.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops3.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops_overflow_neg.cc: Likewise.
	* testsuite/20_util/raw_storage_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/20_util/raw_storage_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/reference_wrapper/invoke.cc: Likewise.
	* testsuite/20_util/reference_wrapper/typedefs.cc: Likewise.
	* testsuite/20_util/rel_ops.cc: Likewise.
	* testsuite/20_util/remove_reference/value.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/assign.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/dr541.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/move.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/shared_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/shared_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/unique_ptr_lvalue_neg.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/assign/unique_ptr_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/casts/1.cc: Likewise.
	* testsuite/20_util/shared_ptr/comparison/cmp.cc: Likewise.
	* testsuite/20_util/shared_ptr/comparison/less.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/39405.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/alias.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/auto_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/auto_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/copy.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/default.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/move.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/pointer.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter_ref_1.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter_ref_2.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/weak_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/weak_ptr_expired.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/36949.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/dr402.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/make.cc: Likewise.
	* testsuite/20_util/shared_ptr/dest/dest.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/24595.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/io.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/swap.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/24805.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset_alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/bool_conv.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/get.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/owner_before.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/unique.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/use_count.cc: Likewise.
	* testsuite/20_util/shared_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/thread/default_weaktoshared.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/thread/mutex_weaktoshared.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy/move_iterators/1.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy_n/move_iterators/1.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_fill/32158.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_fill_n/16505.cc:
	Likewise.
	* testsuite/20_util/temporary_buffer.cc: Likewise.
	* testsuite/20_util/time_point/1.cc: Likewise.
	* testsuite/20_util/time_point/2.cc: Likewise.
	* testsuite/20_util/time_point/3.cc: Likewise.
	* testsuite/20_util/time_point/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/tuple/comparison_operators/35480.cc: Likewise.
	* testsuite/20_util/tuple/comparison_operators/comparisons.cc:
	Likewise.
	* testsuite/20_util/tuple/cons/assignment.cc: Likewise.
	* testsuite/20_util/tuple/cons/big_tuples.cc: Likewise.
	* testsuite/20_util/tuple/cons/constructor.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/23978.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/make_tuple.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/tie.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/tie2.cc: Likewise.
	* testsuite/20_util/tuple/element_access/get.cc: Likewise.
	* testsuite/20_util/tuple/tuple_element.cc: Likewise.
	* testsuite/20_util/tuple/tuple_size.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/assign_neg.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/move.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/move_array.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer_array.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer_array_convertible.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/modifiers/reset_neg.cc: Likewise.
	* testsuite/20_util/unique_ptr/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/comparisons.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/comparisons_array.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/swap.cc:
	Likewise.
	* testsuite/20_util/weak_ptr/comparison/cmp_neg.cc: Likewise.
	* testsuite/20_util/weak_ptr/lock/1.cc: Likewise.
	* testsuite/20_util/weak_ptr/observers/owner_before.cc: Likewise.
	* testsuite/20_util/weak_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/20_util/weak_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/21_strings/basic_string/append/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/append/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/append/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/18654.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/18654.cc:
	Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/char/13650.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/wchar_t/13650.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/5.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/6.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/4.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/5.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/6.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/2.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/3.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/find/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/4.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/10.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/11.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/28277.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/5.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/6.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/7.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/8.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/9.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/10.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/11.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/28277.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/5.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/6.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/7.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/8.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/9.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stod.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stof.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stoi.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stol.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stold.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stoll.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stoul.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/stoull.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/to_string.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stod.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stof.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoi.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stol.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stold.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoll.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoul.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoull.cc:
	Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/to_wstring.cc:
	Likewise.
	* testsuite/21_strings/basic_string/operations/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/operations/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/operators/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/operators/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/operators/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/operators/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/pthread18185.cc: Likewise.
	* testsuite/21_strings/basic_string/pthread4.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/5.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/char/6.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/4.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/5.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/6.cc: Likewise.
	* testsuite/21_strings/basic_string/requirements/dr438/constructor.cc:
	Likewise.
	* testsuite/21_strings/basic_string/requirements/explicit_instantiation/char/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/requirements/explicit_instantiation/char16_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/requirements/explicit_instantiation/char32_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/requirements/explicit_instantiation/debug.cc:
	Likewise.
	* testsuite/21_strings/basic_string/requirements/explicit_instantiation/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/rfind/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/rfind/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/rfind/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/rfind/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/rfind/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/rfind/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/substr/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/substr/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/types/1.cc: Likewise.
	* testsuite/21_strings/c_strings/char/1.cc: Likewise.
	* testsuite/21_strings/c_strings/char/2.cc: Likewise.
	* testsuite/21_strings/c_strings/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/c_strings/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/c_strings/wchar_t/24559.cc: Likewise.
	* testsuite/21_strings/char_traits/requirements/char/1.cc: Likewise.
	* testsuite/21_strings/char_traits/requirements/char/typedefs.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/char16_t/typedefs.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/char32_t/typedefs.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/explicit_instantiation/char/1.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/explicit_instantiation/char16_t/1.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/explicit_instantiation/char32_t/1.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/explicit_instantiation/short/1.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/explicit_instantiation/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/char_traits/requirements/short/1.cc: Likewise.
	* testsuite/21_strings/char_traits/requirements/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/char_traits/requirements/wchar_t/typedefs.cc:
	Likewise.
	* testsuite/21_strings/headers/cctype/functions_std.cc: Likewise.
	* testsuite/21_strings/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/21_strings/headers/cstdlib/macros.cc: Likewise.
	* testsuite/21_strings/headers/cstring/functions_std.cc: Likewise.
	* testsuite/21_strings/headers/cstring/macros.cc: Likewise.
	* testsuite/21_strings/headers/cstring/types_std.cc: Likewise.
	* testsuite/21_strings/headers/cwchar/functions_std.cc: Likewise.
	* testsuite/21_strings/headers/cwchar/macros.cc: Likewise.
	* testsuite/21_strings/headers/cwchar/types_std.cc: Likewise.
	* testsuite/21_strings/headers/cwctype/functions_std.cc: Likewise.
	* testsuite/21_strings/headers/cwctype/macros.cc: Likewise.
	* testsuite/21_strings/headers/cwctype/types_std.cc: Likewise.
	* testsuite/21_strings/headers/string/synopsis.cc: Likewise.
	* testsuite/21_strings/headers/string/types_std.cc: Likewise.
	* testsuite/21_strings/headers/string/types_std_c++0x.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/char/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/codecvt/always_noconv/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/codecvt/always_noconv/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/encoding/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/encoding/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/in/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/in/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/in/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/8.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/9.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/in/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/length/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/length/char/2.cc: Likewise.
	* testsuite/22_locale/codecvt/length/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/length/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/length/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/max_length/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/codecvt/max_length/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt/out/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/out/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/out/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/out/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/codecvt/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/codecvt/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/char/1.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/codecvt/unshift/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/codecvt_byname/requirements/base_classes.cc:
	Likewise.
	* testsuite/22_locale/codecvt_byname/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/collate/compare/char/1.cc: Likewise.
	* testsuite/22_locale/collate/compare/char/2.cc: Likewise.
	* testsuite/22_locale/collate/compare/char/3.cc: Likewise.
	* testsuite/22_locale/collate/compare/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/collate/compare/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/collate/compare/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/collate/compare/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/collate/compare/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/collate/compare/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/collate/compare/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/collate/hash/char/1.cc: Likewise.
	* testsuite/22_locale/collate/hash/char/2.cc: Likewise.
	* testsuite/22_locale/collate/hash/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/collate/hash/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/collate/hash/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/collate/hash/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/collate/hash/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/collate/hash/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/collate/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/collate/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/collate/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/collate/transform/char/2.cc: Likewise.
	* testsuite/22_locale/collate/transform/char/28277.cc: Likewise.
	* testsuite/22_locale/collate/transform/char/3.cc: Likewise.
	* testsuite/22_locale/collate/transform/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/collate/transform/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/collate/transform/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/collate/transform/wchar_t/28277.cc: Likewise.
	* testsuite/22_locale/collate/transform/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/collate/transform/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/collate/transform/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/collate_byname/named_equivalence.cc: Likewise.
	* testsuite/22_locale/collate_byname/requirements/base_classes.cc:
	Likewise.
	* testsuite/22_locale/collate_byname/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/ctype/2.cc: Likewise.
	* testsuite/22_locale/ctype/cons/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/cons/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/dr695.cc: Likewise.
	* testsuite/22_locale/ctype/is/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/is/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/is/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/is/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/narrow/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/narrow/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/narrow/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/narrow/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/ctype/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/ctype/scan/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/scan/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/scan/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/scan/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/to/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/to/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/to/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/to/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/widen/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/widen/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype/widen/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/ctype/widen/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/ctype_base/mask.cc: Likewise.
	* testsuite/22_locale/ctype_byname/1.cc: Likewise.
	* testsuite/22_locale/facet/1.cc: Likewise.
	* testsuite/22_locale/facet/2.cc: Likewise.
	* testsuite/22_locale/facet/25421.cc: Likewise.
	* testsuite/22_locale/global_templates/1.cc: Likewise.
	* testsuite/22_locale/global_templates/standard_facet_hierarchies.cc:
	Likewise.
	* testsuite/22_locale/global_templates/user_facet_hierarchies.cc:
	Likewise.
	* testsuite/22_locale/headers/clocale/functions_std.cc: Likewise.
	* testsuite/22_locale/headers/clocale/macros.cc: Likewise.
	* testsuite/22_locale/headers/clocale/types_std.cc: Likewise.
	* testsuite/22_locale/headers/locale/synopsis.cc: Likewise.
	* testsuite/22_locale/headers/locale/types_std.cc: Likewise.
	* testsuite/22_locale/locale/13630.cc: Likewise.
	* testsuite/22_locale/locale/cons/1.cc: Likewise.
	* testsuite/22_locale/locale/cons/12352.cc: Likewise.
	* testsuite/22_locale/locale/cons/12438.cc: Likewise.
	* testsuite/22_locale/locale/cons/12658_thread-1.cc: Likewise.
	* testsuite/22_locale/locale/cons/12658_thread-2.cc: Likewise.
	* testsuite/22_locale/locale/cons/2.cc: Likewise.
	* testsuite/22_locale/locale/cons/29217.cc: Likewise.
	* testsuite/22_locale/locale/cons/38365.cc: Likewise.
	* testsuite/22_locale/locale/cons/38368.cc: Likewise.
	* testsuite/22_locale/locale/cons/4.cc: Likewise.
	* testsuite/22_locale/locale/cons/5.cc: Likewise.
	* testsuite/22_locale/locale/cons/6.cc: Likewise.
	* testsuite/22_locale/locale/cons/7.cc: Likewise.
	* testsuite/22_locale/locale/cons/7222-c.cc: Likewise.
	* testsuite/22_locale/locale/cons/7222-env.cc: Likewise.
	* testsuite/22_locale/locale/cons/8.cc: Likewise.
	* testsuite/22_locale/locale/cons/unicode.cc: Likewise.
	* testsuite/22_locale/locale/global_locale_objects/1.cc: Likewise.
	* testsuite/22_locale/locale/global_locale_objects/14071.cc: Likewise.
	* testsuite/22_locale/locale/global_locale_objects/2.cc: Likewise.
	* testsuite/22_locale/locale/global_locale_objects/3.cc: Likewise.
	* testsuite/22_locale/locale/operations/1.cc: Likewise.
	* testsuite/22_locale/locale/operations/2.cc: Likewise.
	* testsuite/22_locale/messages/members/char/1.cc: Likewise.
	* testsuite/22_locale/messages/members/char/2.cc: Likewise.
	* testsuite/22_locale/messages/members/char/3.cc: Likewise.
	* testsuite/22_locale/messages/members/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/messages/members/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/messages/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/messages/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/messages/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/messages_byname/named_equivalence.cc: Likewise.
	* testsuite/22_locale/messages_byname/requirements/base_classes.cc:
	Likewise.
	* testsuite/22_locale/messages_byname/requirements/typedefs.cc:
	Likewise.
	* testsuite/22_locale/money_get/cons/3.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/1.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/10.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/11.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/11528.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/12.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/13.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/14.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/15.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/16.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/17.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/18.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/19.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/2.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/22131.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/3.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/38399.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/39168.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/4.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/5.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/6.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/7.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/8.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/9.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/money_get/get/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/10.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/11.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/11528.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/12.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/13.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/14.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/15.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/16.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/17.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/18.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/19.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/22131.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/38399.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/39168.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/8.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/9.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/money_get/get/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/money_get/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/money_get/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/money_get/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/money_put/cons/3.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/1.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/12971.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/2.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/3.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/39168.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/4.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/5.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/6.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/9780-3.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/money_put/put/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/12971.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/39168.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/money_put/put/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/money_put/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/money_put/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/money_put/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/char/1.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/char/2.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/members/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/moneypunct/members/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/members/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/requirements/false/base_classes.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/requirements/false/intl.cc: Likewise.
	* testsuite/22_locale/moneypunct/requirements/false/typedefs.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/requirements/true/base_classes.cc:
	Likewise.
	* testsuite/22_locale/moneypunct/requirements/true/intl.cc: Likewise.
	* testsuite/22_locale/moneypunct/requirements/true/typedefs.cc:
	Likewise.
	* testsuite/22_locale/moneypunct_byname/named_equivalence.cc: Likewise.
	* testsuite/22_locale/moneypunct_byname/requirements/base_classes.cc:
	Likewise.
	* testsuite/22_locale/moneypunct_byname/requirements/typedefs.cc:
	Likewise.
	* testsuite/22_locale/num_get/cons/3.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/1.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/10.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/11.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/12.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/13.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/14.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/15.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/16.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/2.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/22131.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/23953.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/3.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/37958.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/39168.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/4.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/5.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/6.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/7.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/8.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/9.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/num_get/get/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/10.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/11.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/12.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/13.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/14.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/15.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/16.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/22131.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/23953.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/37958.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/39168.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/8.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/9.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/num_get/get/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/num_get/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/num_get/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/num_get/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/num_put/cons/3.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/1.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/10.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/11.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/12.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/14220.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/15565.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/2.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/20909.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/20914.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/23953.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/3.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/38196.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/38210.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/4.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/5.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/6.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/7.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/8.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/9.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/9780-2.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/num_put/put/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/10.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/11.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/12.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/14220.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/15565.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/20909.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/20914.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/23953.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/38196.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/38210.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/8.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/9.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/num_put/put/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/num_put/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/num_put/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/num_put/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/1.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/2.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/3.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/cache_1.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/cache_2.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/numpunct/members/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/numpunct/members/pod/1.cc: Likewise.
	* testsuite/22_locale/numpunct/members/pod/2.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/cache_1.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/cache_2.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/numpunct/members/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/numpunct/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/numpunct/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/numpunct/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/numpunct_byname/named_equivalence.cc: Likewise.
	* testsuite/22_locale/numpunct_byname/requirements/base_classes.cc:
	Likewise.
	* testsuite/22_locale/numpunct_byname/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/numpunct_byname/requirements/typedefs.cc:
	Likewise.
	* testsuite/22_locale/time_get/date_order/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/date_order/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_get/date_order/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/date_order/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/date_order/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/date_order/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_date/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/12750.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/12791.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/12750.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/12791.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_date/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/4.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_monthname/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_monthname/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_time/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/4.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_time/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_weekday/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_weekday/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_year/char/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/char/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/char/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/char/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_year/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_get/get_year/wchar_t/wrapped_env.cc:
	Likewise.
	* testsuite/22_locale/time_get/get_year/wchar_t/wrapped_locale.cc:
	Likewise.
	* testsuite/22_locale/time_get/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/time_get/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/time_get/requirements/typedefs.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/1.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/10.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/12439_1.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/12439_3.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/17038.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/2.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/3.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/4.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/5.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/6.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/7.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/8.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/9.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/9780-1.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_put/put/char/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/1.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/10.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/12439_1.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/12439_2.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/12439_3.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/17038.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/2.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/3.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/4.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/5.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/6.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/7.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/8.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/9.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/wrapped_env.cc: Likewise.
	* testsuite/22_locale/time_put/put/wchar_t/wrapped_locale.cc: Likewise.
	* testsuite/22_locale/time_put/requirements/base_classes.cc: Likewise.
	* testsuite/22_locale/time_put/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/22_locale/time_put/requirements/typedefs.cc: Likewise.
	* testsuite/23_containers/array/requirements/fill.cc: Likewise.
	* testsuite/23_containers/bitset/18604.cc: Likewise.
	* testsuite/23_containers/bitset/all/1.cc: Likewise.
	* testsuite/23_containers/bitset/cons/1.cc: Likewise.
	* testsuite/23_containers/bitset/cons/16020.cc: Likewise.
	* testsuite/23_containers/bitset/cons/38244.cc: Likewise.
	* testsuite/23_containers/bitset/cons/6282.cc: Likewise.
	* testsuite/23_containers/bitset/cons/dr396.cc: Likewise.
	* testsuite/23_containers/bitset/count/6124.cc: Likewise.
	* testsuite/23_containers/bitset/ext/15361.cc: Likewise.
	* testsuite/23_containers/bitset/input/1.cc: Likewise.
	* testsuite/23_containers/bitset/invalidation/1.cc: Likewise.
	* testsuite/23_containers/bitset/operations/1.cc: Likewise.
	* testsuite/23_containers/bitset/operations/13838.cc: Likewise.
	* testsuite/23_containers/bitset/operations/2.cc: Likewise.
	* testsuite/23_containers/bitset/test/1.cc: Likewise.
	* testsuite/23_containers/bitset/to_string/1.cc: Likewise.
	* testsuite/23_containers/bitset/to_string/dr396.cc: Likewise.
	* testsuite/23_containers/bitset/to_ulong/1.cc: Likewise.
	* testsuite/23_containers/deque/18604.cc: Likewise.
	* testsuite/23_containers/deque/capacity/29134-2.cc: Likewise.
	* testsuite/23_containers/deque/capacity/29134.cc: Likewise.
	* testsuite/23_containers/deque/cons/1.cc: Likewise.
	* testsuite/23_containers/deque/cons/2.cc: Likewise.
	* testsuite/23_containers/deque/cons/assign/1.cc: Likewise.
	* testsuite/23_containers/deque/cons/clear_allocator.cc: Likewise.
	* testsuite/23_containers/deque/invalidation/1.cc: Likewise.
	* testsuite/23_containers/deque/invalidation/2.cc: Likewise.
	* testsuite/23_containers/deque/invalidation/3.cc: Likewise.
	* testsuite/23_containers/deque/invalidation/4.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/erase/1.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/erase/2.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/erase/3.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/deque/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/deque/operators/1.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/assign_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/constructor.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/constructor_1_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/constructor_2_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/insert_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/types/1.cc: Likewise.
	* testsuite/23_containers/forward_list/capacity/1.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/1.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/2.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/3.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/4.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/5.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/6.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/7.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/8.cc: Likewise.
	* testsuite/23_containers/forward_list/cons/9.cc: Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/1.cc: Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/modifiers/1.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/modifiers/2.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/modifiers/3.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/modifiers/4.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/modifiers/5.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/1.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/2.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/3.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/4.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/5.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/6.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/operations/7.cc:
	Likewise.
	* testsuite/23_containers/forward_list/ext_pointer/requirements/1.cc:
	Likewise.
	* testsuite/23_containers/forward_list/modifiers/1.cc: Likewise.
	* testsuite/23_containers/forward_list/modifiers/2.cc: Likewise.
	* testsuite/23_containers/forward_list/modifiers/3.cc: Likewise.
	* testsuite/23_containers/forward_list/modifiers/4.cc: Likewise.
	* testsuite/23_containers/forward_list/modifiers/5.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/1.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/2.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/3.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/4.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/5.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/6.cc: Likewise.
	* testsuite/23_containers/forward_list/operations/7.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/1.cc: Likewise.
	* testsuite/23_containers/headers/array/std_c++0x_neg.cc: Likewise.
	* testsuite/23_containers/headers/bitset/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/deque/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/forward_list/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/list/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/map/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/queue/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/set/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/stack/synopsis.cc: Likewise.
	* testsuite/23_containers/headers/tuple/std_c++0x_neg.cc: Likewise.
	* testsuite/23_containers/headers/tuple/types_std_c++0x.cc: Likewise.
	* testsuite/23_containers/headers/unordered_map/std_c++0x_neg.cc:
	Likewise.
	* testsuite/23_containers/headers/unordered_set/std_c++0x_neg.cc:
	Likewise.
	* testsuite/23_containers/headers/vector/synopsis.cc: Likewise.
	* testsuite/23_containers/list/18604.cc: Likewise.
	* testsuite/23_containers/list/capacity/1.cc: Likewise.
	* testsuite/23_containers/list/capacity/29134.cc: Likewise.
	* testsuite/23_containers/list/cons/1.cc: Likewise.
	* testsuite/23_containers/list/cons/2.cc: Likewise.
	* testsuite/23_containers/list/cons/3.cc: Likewise.
	* testsuite/23_containers/list/cons/4.cc: Likewise.
	* testsuite/23_containers/list/cons/5.cc: Likewise.
	* testsuite/23_containers/list/cons/6.cc: Likewise.
	* testsuite/23_containers/list/cons/7.cc: Likewise.
	* testsuite/23_containers/list/cons/8.cc: Likewise.
	* testsuite/23_containers/list/cons/9.cc: Likewise.
	* testsuite/23_containers/list/cons/clear_allocator.cc: Likewise.
	* testsuite/23_containers/list/invalidation/1.cc: Likewise.
	* testsuite/23_containers/list/invalidation/2.cc: Likewise.
	* testsuite/23_containers/list/invalidation/3.cc: Likewise.
	* testsuite/23_containers/list/invalidation/4.cc: Likewise.
	* testsuite/23_containers/list/modifiers/1.cc: Likewise.
	* testsuite/23_containers/list/modifiers/2.cc: Likewise.
	* testsuite/23_containers/list/modifiers/3.cc: Likewise.
	* testsuite/23_containers/list/modifiers/insert/25288.cc: Likewise.
	* testsuite/23_containers/list/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/list/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/list/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/list/operations/1.cc: Likewise.
	* testsuite/23_containers/list/operations/2.cc: Likewise.
	* testsuite/23_containers/list/operations/3.cc: Likewise.
	* testsuite/23_containers/list/operations/35969.cc: Likewise.
	* testsuite/23_containers/list/operations/4.cc: Likewise.
	* testsuite/23_containers/list/operations/5.cc: Likewise.
	* testsuite/23_containers/list/pthread1.cc: Likewise.
	* testsuite/23_containers/list/pthread5.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc:
	Likewise.
	* testsuite/23_containers/list/requirements/dr438/constructor.cc:
	Likewise.
	* testsuite/23_containers/list/requirements/dr438/constructor_1_neg.cc:
	Likewise.
	* testsuite/23_containers/list/requirements/dr438/constructor_2_neg.cc:
	Likewise.
	* testsuite/23_containers/list/requirements/dr438/insert_neg.cc:
	Likewise.
	* testsuite/23_containers/map/18604.cc: Likewise.
	* testsuite/23_containers/map/capacity/29134.cc: Likewise.
	* testsuite/23_containers/map/element_access/1.cc: Likewise.
	* testsuite/23_containers/map/invalidation/1.cc: Likewise.
	* testsuite/23_containers/map/invalidation/2.cc: Likewise.
	* testsuite/23_containers/map/modifiers/insert/1.cc: Likewise.
	* testsuite/23_containers/map/modifiers/insert/16813.cc: Likewise.
	* testsuite/23_containers/map/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/map/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/map/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/map/operators/1.cc: Likewise.
	* testsuite/23_containers/map/operators/1_neg.cc: Likewise.
	* testsuite/23_containers/map/pthread6.cc: Likewise.
	* testsuite/23_containers/multimap/capacity/29134.cc: Likewise.
	* testsuite/23_containers/multimap/invalidation/1.cc: Likewise.
	* testsuite/23_containers/multimap/invalidation/2.cc: Likewise.
	* testsuite/23_containers/multimap/modifiers/insert/22102.cc: Likewise.
	* testsuite/23_containers/multimap/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/multimap/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/multimap/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/multiset/capacity/29134.cc: Likewise.
	* testsuite/23_containers/multiset/invalidation/1.cc: Likewise.
	* testsuite/23_containers/multiset/invalidation/2.cc: Likewise.
	* testsuite/23_containers/multiset/modifiers/insert/1.cc: Likewise.
	* testsuite/23_containers/multiset/modifiers/insert/22102.cc: Likewise.
	* testsuite/23_containers/multiset/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/multiset/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/multiset/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/priority_queue/members/7161.cc: Likewise.
	* testsuite/23_containers/queue/members/7157.cc: Likewise.
	* testsuite/23_containers/set/18604.cc: Likewise.
	* testsuite/23_containers/set/capacity/29134.cc: Likewise.
	* testsuite/23_containers/set/invalidation/1.cc: Likewise.
	* testsuite/23_containers/set/invalidation/2.cc: Likewise.
	* testsuite/23_containers/set/modifiers/17948.cc: Likewise.
	* testsuite/23_containers/set/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/set/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/set/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/set/operators/1_neg.cc: Likewise.
	* testsuite/23_containers/stack/members/7158.cc: Likewise.
	* testsuite/23_containers/unordered_map/dr761.cc: Likewise.
	* testsuite/23_containers/unordered_map/requirements/debug_container.cc:
	Likewise.
	* testsuite/23_containers/unordered_map/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/23_containers/unordered_map/requirements/typedefs.cc:
	Likewise.
	* testsuite/23_containers/unordered_multimap/requirements/debug.cc:
	Likewise.
	* testsuite/23_containers/unordered_multimap/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/23_containers/unordered_multimap/requirements/typedefs.cc:
	Likewise.
	* testsuite/23_containers/unordered_multiset/requirements/debug.cc:
	Likewise.
	* testsuite/23_containers/unordered_multiset/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/23_containers/unordered_multiset/requirements/typedefs.cc:
	Likewise.
	* testsuite/23_containers/unordered_set/requirements/debug_container.cc:
	Likewise.
	* testsuite/23_containers/unordered_set/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/23_containers/unordered_set/requirements/typedefs.cc:
	Likewise.
	* testsuite/23_containers/vector/18604.cc: Likewise.
	* testsuite/23_containers/vector/bool/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/21244.cc: Likewise.
	* testsuite/23_containers/vector/bool/23632.cc: Likewise.
	* testsuite/23_containers/vector/bool/6886.cc: Likewise.
	* testsuite/23_containers/vector/bool/capacity/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/capacity/29134.cc: Likewise.
	* testsuite/23_containers/vector/bool/clear_allocator.cc: Likewise.
	* testsuite/23_containers/vector/bool/cons/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/cons/2.cc: Likewise.
	* testsuite/23_containers/vector/bool/modifiers/erase/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/modifiers/insert/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/modifiers/insert/31370.cc:
	Likewise.
	* testsuite/23_containers/vector/bool/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/vector/bool/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/vector/capacity/1.cc: Likewise.
	* testsuite/23_containers/vector/capacity/2.cc: Likewise.
	* testsuite/23_containers/vector/capacity/29134-2.cc: Likewise.
	* testsuite/23_containers/vector/capacity/29134.cc: Likewise.
	* testsuite/23_containers/vector/capacity/8230.cc: Likewise.
	* testsuite/23_containers/vector/cons/1.cc: Likewise.
	* testsuite/23_containers/vector/cons/2.cc: Likewise.
	* testsuite/23_containers/vector/cons/3.cc: Likewise.
	* testsuite/23_containers/vector/cons/4.cc: Likewise.
	* testsuite/23_containers/vector/cons/6513.cc: Likewise.
	* testsuite/23_containers/vector/cons/clear_allocator.cc: Likewise.
	* testsuite/23_containers/vector/data_access/1.cc: Likewise.
	* testsuite/23_containers/vector/debug_mode_requires_reallocation-1.cc:
	Likewise.
	* testsuite/23_containers/vector/debug_mode_requires_reallocation-2.cc:
	Likewise.
	* testsuite/23_containers/vector/element_access/1.cc: Likewise.
	* testsuite/23_containers/vector/invalidation/1.cc: Likewise.
	* testsuite/23_containers/vector/invalidation/2.cc: Likewise.
	* testsuite/23_containers/vector/invalidation/3.cc: Likewise.
	* testsuite/23_containers/vector/invalidation/4.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/1.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/2.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/erase/1.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/swap/1.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/vector/modifiers/swap/3.cc: Likewise.
	* testsuite/23_containers/vector/requirements/dr438/assign_neg.cc:
	Likewise.
	* testsuite/23_containers/vector/requirements/dr438/bool/constructor.cc:
	Likewise.
	* testsuite/23_containers/vector/requirements/dr438/constructor.cc:
	Likewise.
	* testsuite/23_containers/vector/requirements/dr438/constructor_1_neg.cc:
	Likewise.
	* testsuite/23_containers/vector/requirements/dr438/constructor_2_neg.cc:
	Likewise.
	* testsuite/23_containers/vector/requirements/dr438/insert_neg.cc:
	Likewise.
	* testsuite/23_containers/vector/resize/1.cc: Likewise.
	* testsuite/23_containers/vector/types/1.cc: Likewise.
	* testsuite/24_iterators/back_insert_iterator/2.cc: Likewise.
	* testsuite/24_iterators/back_insert_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/back_insert_iterator/requirements/container.cc:
	Likewise.
	* testsuite/24_iterators/back_insert_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/back_insert_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/front_insert_iterator/2.cc: Likewise.
	* testsuite/24_iterators/front_insert_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/front_insert_iterator/requirements/container.cc:
	Likewise.
	* testsuite/24_iterators/front_insert_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/front_insert_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/headers/iterator/synopsis.cc: Likewise.
	* testsuite/24_iterators/headers/iterator/types_std.cc: Likewise.
	* testsuite/24_iterators/insert_iterator/2.cc: Likewise.
	* testsuite/24_iterators/insert_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/insert_iterator/requirements/container.cc:
	Likewise.
	* testsuite/24_iterators/insert_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/insert_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/istream_iterator/2.cc: Likewise.
	* testsuite/24_iterators/istream_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/istream_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/istream_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/istreambuf_iterator/2.cc: Likewise.
	* testsuite/24_iterators/istreambuf_iterator/2627.cc: Likewise.
	* testsuite/24_iterators/istreambuf_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/istreambuf_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/istreambuf_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/operations/next.cc: Likewise.
	* testsuite/24_iterators/operations/prev.cc: Likewise.
	* testsuite/24_iterators/ostream_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/ostream_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/ostream_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/ostreambuf_iterator/2.cc: Likewise.
	* testsuite/24_iterators/ostreambuf_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/ostreambuf_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/24_iterators/random_access_iterator/26020.cc: Likewise.
	* testsuite/24_iterators/random_access_iterator/string_vector_iterators.cc:
	Likewise.
	* testsuite/24_iterators/reverse_iterator/11729.cc: Likewise.
	* testsuite/24_iterators/reverse_iterator/2.cc: Likewise.
	* testsuite/24_iterators/reverse_iterator/3.cc: Likewise.
	* testsuite/24_iterators/reverse_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/24_iterators/reverse_iterator/requirements/current.cc:
	Likewise.
	* testsuite/24_iterators/reverse_iterator/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/24_iterators/reverse_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/25_algorithms/adjacent_find/1.cc: Likewise.
	* testsuite/25_algorithms/adjacent_find/check_type.cc: Likewise.
	* testsuite/25_algorithms/all_of/1.cc: Likewise.
	* testsuite/25_algorithms/all_of/check_type.cc: Likewise.
	* testsuite/25_algorithms/any_of/1.cc: Likewise.
	* testsuite/25_algorithms/any_of/check_type.cc: Likewise.
	* testsuite/25_algorithms/binary_search/1.cc: Likewise.
	* testsuite/25_algorithms/binary_search/2.cc: Likewise.
	* testsuite/25_algorithms/binary_search/check_type.cc: Likewise.
	* testsuite/25_algorithms/copy/1.cc: Likewise.
	* testsuite/25_algorithms/copy/2.cc: Likewise.
	* testsuite/25_algorithms/copy/3.cc: Likewise.
	* testsuite/25_algorithms/copy/34595.cc: Likewise.
	* testsuite/25_algorithms/copy/4.cc: Likewise.
	* testsuite/25_algorithms/copy/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/char/1.cc: Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/char/2.cc: Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/char/3.cc: Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/char/4.cc: Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/1.cc:
	Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/2.cc:
	Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/3.cc:
	Likewise.
	* testsuite/25_algorithms/copy/streambuf_iterators/wchar_t/4.cc:
	Likewise.
	* testsuite/25_algorithms/copy_backward/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/copy_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/copy_n/1.cc: Likewise.
	* testsuite/25_algorithms/copy_n/2.cc: Likewise.
	* testsuite/25_algorithms/copy_n/3.cc: Likewise.
	* testsuite/25_algorithms/copy_n/4.cc: Likewise.
	* testsuite/25_algorithms/copy_n/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/count/1.cc: Likewise.
	* testsuite/25_algorithms/count/check_type.cc: Likewise.
	* testsuite/25_algorithms/count_if/1.cc: Likewise.
	* testsuite/25_algorithms/count_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/equal/1.cc: Likewise.
	* testsuite/25_algorithms/equal/check_type.cc: Likewise.
	* testsuite/25_algorithms/equal/no_operator_ne.cc: Likewise.
	* testsuite/25_algorithms/equal_range/1.cc: Likewise.
	* testsuite/25_algorithms/equal_range/2.cc: Likewise.
	* testsuite/25_algorithms/equal_range/check_type.cc: Likewise.
	* testsuite/25_algorithms/fill/1.cc: Likewise.
	* testsuite/25_algorithms/fill/2.cc: Likewise.
	* testsuite/25_algorithms/fill/3.cc: Likewise.
	* testsuite/25_algorithms/fill/35725.cc: Likewise.
	* testsuite/25_algorithms/fill/4.cc: Likewise.
	* testsuite/25_algorithms/fill/5.cc: Likewise.
	* testsuite/25_algorithms/fill_n/35725.cc: Likewise.
	* testsuite/25_algorithms/find/1.cc: Likewise.
	* testsuite/25_algorithms/find/17441.cc: Likewise.
	* testsuite/25_algorithms/find/check_type.cc: Likewise.
	* testsuite/25_algorithms/find/istreambuf_iterators/char/1.cc: Likewise.
	* testsuite/25_algorithms/find/istreambuf_iterators/char/2.cc: Likewise.
	* testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/1.cc:
	Likewise.
	* testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/2.cc:
	Likewise.
	* testsuite/25_algorithms/find_end/1.cc: Likewise.
	* testsuite/25_algorithms/find_end/check_type.cc: Likewise.
	* testsuite/25_algorithms/find_first_of/1.cc: Likewise.
	* testsuite/25_algorithms/find_first_of/check_type.cc: Likewise.
	* testsuite/25_algorithms/find_first_of/concept_check_1.cc: Likewise.
	* testsuite/25_algorithms/find_if/1.cc: Likewise.
	* testsuite/25_algorithms/find_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/find_if_not/1.cc: Likewise.
	* testsuite/25_algorithms/find_if_not/check_type.cc: Likewise.
	* testsuite/25_algorithms/headers/algorithm/algorithm_parallel_mode.cc:
	Likewise.
	* testsuite/25_algorithms/headers/algorithm/parallel_algorithm.cc:
	Likewise.
	* testsuite/25_algorithms/headers/algorithm/parallel_algorithm_mixed1.cc:
	Likewise.
	* testsuite/25_algorithms/headers/algorithm/parallel_algorithm_mixed2.cc:
	Likewise.
	* testsuite/25_algorithms/headers/algorithm/synopsis.cc: Likewise.
	* testsuite/25_algorithms/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/25_algorithms/heap/1.cc: Likewise.
	* testsuite/25_algorithms/heap/moveable.cc: Likewise.
	* testsuite/25_algorithms/includes/1.cc: Likewise.
	* testsuite/25_algorithms/includes/check_type.cc: Likewise.
	* testsuite/25_algorithms/inplace_merge/1.cc: Likewise.
	* testsuite/25_algorithms/inplace_merge/check_type.cc: Likewise.
	* testsuite/25_algorithms/is_heap/1.cc: Likewise.
	* testsuite/25_algorithms/is_heap_until/1.cc: Likewise.
	* testsuite/25_algorithms/is_partitioned/1.cc: Likewise.
	* testsuite/25_algorithms/is_partitioned/check_type.cc: Likewise.
	* testsuite/25_algorithms/is_sorted/1.cc: Likewise.
	* testsuite/25_algorithms/is_sorted_until/1.cc: Likewise.
	* testsuite/25_algorithms/iter_swap/20577.cc: Likewise.
	* testsuite/25_algorithms/lexicographical_compare/1.cc: Likewise.
	* testsuite/25_algorithms/lexicographical_compare/check_type.cc:
	Likewise.
	* testsuite/25_algorithms/lower_bound/1.cc: Likewise.
	* testsuite/25_algorithms/lower_bound/2.cc: Likewise.
	* testsuite/25_algorithms/lower_bound/33613.cc: Likewise.
	* testsuite/25_algorithms/lower_bound/check_type.cc: Likewise.
	* testsuite/25_algorithms/lower_bound/no_operator_ne.cc: Likewise.
	* testsuite/25_algorithms/max/1.cc: Likewise.
	* testsuite/25_algorithms/max/2.cc: Likewise.
	* testsuite/25_algorithms/max/3.cc: Likewise.
	* testsuite/25_algorithms/max/37547.cc: Likewise.
	* testsuite/25_algorithms/max/4.cc: Likewise.
	* testsuite/25_algorithms/max_element/1.cc: Likewise.
	* testsuite/25_algorithms/max_element/check_type.cc: Likewise.
	* testsuite/25_algorithms/merge/1.cc: Likewise.
	* testsuite/25_algorithms/merge/check_type.cc: Likewise.
	* testsuite/25_algorithms/min/1.cc: Likewise.
	* testsuite/25_algorithms/min/2.cc: Likewise.
	* testsuite/25_algorithms/min/3.cc: Likewise.
	* testsuite/25_algorithms/min/37547.cc: Likewise.
	* testsuite/25_algorithms/min/4.cc: Likewise.
	* testsuite/25_algorithms/min_element/1.cc: Likewise.
	* testsuite/25_algorithms/min_element/check_type.cc: Likewise.
	* testsuite/25_algorithms/minmax/1.cc: Likewise.
	* testsuite/25_algorithms/minmax/2.cc: Likewise.
	* testsuite/25_algorithms/minmax/3.cc: Likewise.
	* testsuite/25_algorithms/minmax/37547.cc: Likewise.
	* testsuite/25_algorithms/minmax_element/1.cc: Likewise.
	* testsuite/25_algorithms/minmax_element/check_type.cc: Likewise.
	* testsuite/25_algorithms/mismatch/1.cc: Likewise.
	* testsuite/25_algorithms/mismatch/check_type.cc: Likewise.
	* testsuite/25_algorithms/move/1.cc: Likewise.
	* testsuite/25_algorithms/move_backward/1.cc: Likewise.
	* testsuite/25_algorithms/next_permutation/1.cc: Likewise.
	* testsuite/25_algorithms/next_permutation/check_type.cc: Likewise.
	* testsuite/25_algorithms/none_of/1.cc: Likewise.
	* testsuite/25_algorithms/none_of/check_type.cc: Likewise.
	* testsuite/25_algorithms/nth_element/1.cc: Likewise.
	* testsuite/25_algorithms/nth_element/2.cc: Likewise.
	* testsuite/25_algorithms/nth_element/3.cc: Likewise.
	* testsuite/25_algorithms/nth_element/check_type.cc: Likewise.
	* testsuite/25_algorithms/nth_element/moveable.cc: Likewise.
	* testsuite/25_algorithms/partial_sort/1.cc: Likewise.
	* testsuite/25_algorithms/partial_sort/2.cc: Likewise.
	* testsuite/25_algorithms/partial_sort/check_type.cc: Likewise.
	* testsuite/25_algorithms/partial_sort/moveable.cc: Likewise.
	* testsuite/25_algorithms/partial_sort_copy/1.cc: Likewise.
	* testsuite/25_algorithms/partial_sort_copy/2.cc: Likewise.
	* testsuite/25_algorithms/partial_sort_copy/check_type.cc: Likewise.
	* testsuite/25_algorithms/partition/1.cc: Likewise.
	* testsuite/25_algorithms/partition/moveable.cc: Likewise.
	* testsuite/25_algorithms/partition_copy/1.cc: Likewise.
	* testsuite/25_algorithms/partition_copy/check_type.cc: Likewise.
	* testsuite/25_algorithms/partition_point/1.cc: Likewise.
	* testsuite/25_algorithms/partition_point/check_type.cc: Likewise.
	* testsuite/25_algorithms/prev_permutation/1.cc: Likewise.
	* testsuite/25_algorithms/prev_permutation/check_type.cc: Likewise.
	* testsuite/25_algorithms/random_shuffle/1.cc: Likewise.
	* testsuite/25_algorithms/remove/1.cc: Likewise.
	* testsuite/25_algorithms/remove/check_type.cc: Likewise.
	* testsuite/25_algorithms/remove/moveable.cc: Likewise.
	* testsuite/25_algorithms/remove_copy_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/remove_if/1.cc: Likewise.
	* testsuite/25_algorithms/remove_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/remove_if/moveable.cc: Likewise.
	* testsuite/25_algorithms/replace/1.cc: Likewise.
	* testsuite/25_algorithms/replace/check_type.cc: Likewise.
	* testsuite/25_algorithms/replace_copy/1.cc: Likewise.
	* testsuite/25_algorithms/replace_copy/check_type.cc: Likewise.
	* testsuite/25_algorithms/replace_copy_if/1.cc: Likewise.
	* testsuite/25_algorithms/replace_copy_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/replace_if/1.cc: Likewise.
	* testsuite/25_algorithms/replace_if/check_type.cc: Likewise.
	* testsuite/25_algorithms/reverse/moveable.cc: Likewise.
	* testsuite/25_algorithms/rotate/1.cc: Likewise.
	* testsuite/25_algorithms/rotate/check_type.cc: Likewise.
	* testsuite/25_algorithms/rotate/moveable.cc: Likewise.
	* testsuite/25_algorithms/rotate/rotate.cc: Likewise.
	* testsuite/25_algorithms/search/1.cc: Likewise.
	* testsuite/25_algorithms/search/check_type.cc: Likewise.
	* testsuite/25_algorithms/search_n/11400.cc: Likewise.
	* testsuite/25_algorithms/search_n/check_type.cc: Likewise.
	* testsuite/25_algorithms/search_n/iterator.cc: Likewise.
	* testsuite/25_algorithms/set_difference/1.cc: Likewise.
	* testsuite/25_algorithms/set_difference/35541.cc: Likewise.
	* testsuite/25_algorithms/set_difference/check_type.cc: Likewise.
	* testsuite/25_algorithms/set_intersection/1.cc: Likewise.
	* testsuite/25_algorithms/set_intersection/34730.cc: Likewise.
	* testsuite/25_algorithms/set_intersection/check_type.cc: Likewise.
	* testsuite/25_algorithms/set_symmetric_difference/1.cc: Likewise.
	* testsuite/25_algorithms/set_symmetric_difference/check_type.cc:
	Likewise.
	* testsuite/25_algorithms/set_union/1.cc: Likewise.
	* testsuite/25_algorithms/set_union/check_type.cc: Likewise.
	* testsuite/25_algorithms/sort/1.cc: Likewise.
	* testsuite/25_algorithms/sort/34095.cc: Likewise.
	* testsuite/25_algorithms/sort/34636.cc: Likewise.
	* testsuite/25_algorithms/sort/35588.cc: Likewise.
	* testsuite/25_algorithms/sort/moveable.cc: Likewise.
	* testsuite/25_algorithms/sort/vectorbool.cc: Likewise.
	* testsuite/25_algorithms/stable_partition/1.cc: Likewise.
	* testsuite/25_algorithms/stable_sort/1.cc: Likewise.
	* testsuite/25_algorithms/stable_sort/2.cc: Likewise.
	* testsuite/25_algorithms/stable_sort/check_type.cc: Likewise.
	* testsuite/25_algorithms/swap_ranges/1.cc: Likewise.
	* testsuite/25_algorithms/swap_ranges/check_type.cc: Likewise.
	* testsuite/25_algorithms/swap_ranges/moveable.cc: Likewise.
	* testsuite/25_algorithms/unique/1.cc: Likewise.
	* testsuite/25_algorithms/unique/11480.cc: Likewise.
	* testsuite/25_algorithms/unique/2.cc: Likewise.
	* testsuite/25_algorithms/unique/moveable.cc: Likewise.
	* testsuite/25_algorithms/unique_copy/1.cc: Likewise.
	* testsuite/25_algorithms/unique_copy/2.cc: Likewise.
	* testsuite/25_algorithms/unique_copy/26133.cc: Likewise.
	* testsuite/25_algorithms/unique_copy/check_type.cc: Likewise.
	* testsuite/25_algorithms/upper_bound/1.cc: Likewise.
	* testsuite/25_algorithms/upper_bound/2.cc: Likewise.
	* testsuite/25_algorithms/upper_bound/33613.cc: Likewise.
	* testsuite/25_algorithms/upper_bound/check_type.cc: Likewise.
	* testsuite/26_numerics/accumulate/1.cc: Likewise.
	* testsuite/26_numerics/adjacent_difference/1.cc: Likewise.
	* testsuite/26_numerics/complex/13450.cc: Likewise.
	* testsuite/26_numerics/complex/buggy_complex.cc: Likewise.
	* testsuite/26_numerics/complex/complex_value.cc: Likewise.
	* testsuite/26_numerics/complex/dr387.cc: Likewise.
	* testsuite/26_numerics/complex/dr387_2.cc: Likewise.
	* testsuite/26_numerics/complex/dr781.cc: Likewise.
	* testsuite/26_numerics/complex/dr844.cc: Likewise.
	* testsuite/26_numerics/complex/inserters_extractors/char/1.cc:
	Likewise.
	* testsuite/26_numerics/complex/inserters_extractors/wchar_t/1.cc:
	Likewise.
	* testsuite/26_numerics/headers/ccomplex/std_c++0x_neg.cc: Likewise.
	* testsuite/26_numerics/headers/cfenv/std_c++0x_neg.cc: Likewise.
	* testsuite/26_numerics/headers/cfenv/types_std_c++0x.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/c_math.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/dr550.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/fabs_inline.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/functions_std.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/macros.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/powi.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/types_std_c++0x.cc: Likewise.
	* testsuite/26_numerics/headers/cmath/types_std_c++0x_neg.cc: Likewise.
	* testsuite/26_numerics/headers/complex/synopsis.cc: Likewise.
	* testsuite/26_numerics/headers/cstdlib/2190.cc: Likewise.
	* testsuite/26_numerics/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/26_numerics/headers/cstdlib/macros.cc: Likewise.
	* testsuite/26_numerics/headers/cstdlib/types_std.cc: Likewise.
	* testsuite/26_numerics/headers/cstdlib/types_std_c++0x.cc: Likewise.
	* testsuite/26_numerics/headers/ctgmath/std_c++0x_neg.cc: Likewise.
	* testsuite/26_numerics/headers/numeric/numeric_parallel_mode.cc:
	Likewise.
	* testsuite/26_numerics/headers/numeric/parallel_numeric.cc: Likewise.
	* testsuite/26_numerics/headers/numeric/parallel_numeric_mixed1.cc:
	Likewise.
	* testsuite/26_numerics/headers/numeric/parallel_numeric_mixed2.cc:
	Likewise.
	* testsuite/26_numerics/headers/numeric/synopsis.cc: Likewise.
	* testsuite/26_numerics/headers/random/std_c++0x_neg.cc: Likewise.
	* testsuite/26_numerics/headers/random/types_std_c++0x.cc: Likewise.
	* testsuite/26_numerics/headers/valarray/synopsis.cc: Likewise.
	* testsuite/26_numerics/headers/valarray/types_std.cc: Likewise.
	* testsuite/26_numerics/inner_product/1.cc: Likewise.
	* testsuite/26_numerics/iota/1.cc: Likewise.
	* testsuite/26_numerics/partial_sum/1.cc: Likewise.
	* testsuite/26_numerics/slice/1.cc: Likewise.
	* testsuite/26_numerics/valarray/28277.cc: Likewise.
	* testsuite/26_numerics/valarray/dr543.cc: Likewise.
	* testsuite/26_numerics/valarray/operators.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/4879.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/5.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/char/9964.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/wchar_t/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/wchar_t/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/wchar_t/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/close/wchar_t/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_filebuf/cons/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/cons/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/cons/wchar_t/10132-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/12206.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/13007.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/13171-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/13171-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/13171-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/13582-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/14975-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/char/9322.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/12868.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/13007.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/13171-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/13582-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/13582-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/14975-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/imbue/wchar_t/9322.cc: Likewise.
	* testsuite/27_io/basic_filebuf/in_avail/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/in_avail/char/9701-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/is_open/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/5.cc: Likewise.
	* testsuite/27_io/basic_filebuf/open/char/9507.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/13858.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/2-unbuf.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/9169.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/9182-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/char/9988.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/wchar_t/11305-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/wchar_t/11305-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/wchar_t/11305-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/wchar_t/11305-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/overflow/wchar_t/13858.cc: Likewise.
	* testsuite/27_io/basic_filebuf/pbackfail/char/9761.cc: Likewise.
	* testsuite/27_io/basic_filebuf/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_filebuf/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/27_io/basic_filebuf/requirements/typedefs.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sbumpc/char/9825.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/10132-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/11543.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/12232.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/26777.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/3-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/3-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/char/3-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/11543.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekoff/wchar_t/9875_seekoff.cc:
	Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/10132-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/3-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/3-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/char/3-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/12790-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/12790-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/12790-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/12790-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/9874.cc: Likewise.
	* testsuite/27_io/basic_filebuf/seekpos/wchar_t/9875_seekpos.cc:
	Likewise.
	* testsuite/27_io/basic_filebuf/setbuf/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/setbuf/char/12875-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/setbuf/char/12875-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/setbuf/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/setbuf/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sgetn/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/showmanyc/char/9533-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/showmanyc/char/9533-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/snextc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputbackc/char/9425.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputc/char/9701-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/9339.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sputn/char/9701-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/1-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/1-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/1-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/2-in.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/2-io.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sungetc/char/2-out.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sync/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sync/char/9182-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/sync/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/10096.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/char/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/char/10097.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/char/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/char/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/char/9027.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11389-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11389-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11389-3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11389-4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11544-1.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11544-2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/11603.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/4.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/5.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/9178.cc: Likewise.
	* testsuite/27_io/basic_filebuf/underflow/wchar_t/9520.cc: Likewise.
	* testsuite/27_io/basic_fstream/cons/1.cc: Likewise.
	* testsuite/27_io/basic_fstream/cons/char/1.cc: Likewise.
	* testsuite/27_io/basic_fstream/open/char/1.cc: Likewise.
	* testsuite/27_io/basic_fstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_fstream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_ifstream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_ifstream/cons/char/1.cc: Likewise.
	* testsuite/27_io/basic_ifstream/cons/char/2.cc: Likewise.
	* testsuite/27_io/basic_ifstream/open/char/1.cc: Likewise.
	* testsuite/27_io/basic_ifstream/open/char/2.cc: Likewise.
	* testsuite/27_io/basic_ifstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_ifstream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_ios/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_ios/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_iostream/cons/16251.C: Likewise.
	* testsuite/27_io/basic_iostream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_iostream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_istream/cons/3.cc: Likewise.
	* testsuite/27_io/basic_istream/exceptions/char/9561.cc: Likewise.
	* testsuite/27_io/basic_istream/exceptions/wchar_t/9561.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/01.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/02.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/03.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/06.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/07.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/08.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/09.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/10.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/11.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/12.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/13.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/exceptions_badbit_throw.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/01.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/02.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/03.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/06.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/07.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/08.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/09.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/10.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/11.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/12.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/13.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/exceptions_badbit_throw.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/char/1.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/char/11095-i.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/char/2.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/char/3.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/char/4.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/wchar_t/1.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/wchar_t/11095-i.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/wchar_t/2.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/wchar_t/3.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_character/wchar_t/4.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_other/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_other/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_other/char/26181.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_other/char/3.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_other/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_other/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/extractors_other/wchar_t/26181.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_other/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_istream/get/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/get/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/get/char/3.cc: Likewise.
	* testsuite/27_io/basic_istream/get/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/get/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/get/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/char/3.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/char/5.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/char/6.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/wchar_t/5.cc: Likewise.
	* testsuite/27_io/basic_istream/getline/wchar_t/6.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/char/3.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/char/6360.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/char/7220.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/wchar_t/6360.cc: Likewise.
	* testsuite/27_io/basic_istream/ignore/wchar_t/7220.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/char/12296.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/char/6414.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/wchar_t/12296.cc: Likewise.
	* testsuite/27_io/basic_istream/peek/wchar_t/6414.cc: Likewise.
	* testsuite/27_io/basic_istream/putback/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/putback/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/read/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/read/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/read/char/3.cc: Likewise.
	* testsuite/27_io/basic_istream/read/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/read/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/read/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/char/6746-1.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/char/6746-2.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/char/8258.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/wchar_t/6746-1.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/wchar_t/6746-2.cc: Likewise.
	* testsuite/27_io/basic_istream/readsome/wchar_t/8258.cc: Likewise.
	* testsuite/27_io/basic_istream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/char/8348-1.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/char/8348-2.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/char/fstream.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/char/sstream.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/wchar_t/8348-1.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/wchar_t/8348-2.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/wchar_t/fstream.cc: Likewise.
	* testsuite/27_io/basic_istream/seekg/wchar_t/sstream.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/char/2.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/char/8348.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/char/fstream.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/char/sstream.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/wchar_t/8348.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/wchar_t/fstream.cc: Likewise.
	* testsuite/27_io/basic_istream/tellg/wchar_t/sstream.cc: Likewise.
	* testsuite/27_io/basic_istream/ws/char/1.cc: Likewise.
	* testsuite/27_io/basic_istream/ws/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_istringstream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_istringstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_istringstream/rdbuf/wchar_t/2832.cc: Likewise.
	* testsuite/27_io/basic_istringstream/requirements/base_classes.cc:
	Likewise.
	* testsuite/27_io/basic_istringstream/str/char/1.cc: Likewise.
	* testsuite/27_io/basic_istringstream/str/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ofstream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_ofstream/cons/char/1.cc: Likewise.
	* testsuite/27_io/basic_ofstream/cons/char/2.cc: Likewise.
	* testsuite/27_io/basic_ofstream/open/char/1.cc: Likewise.
	* testsuite/27_io/basic_ofstream/open/char/2.cc: Likewise.
	* testsuite/27_io/basic_ofstream/pthread2.cc: Likewise.
	* testsuite/27_io/basic_ofstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_ofstream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_ostream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_ostream/cons/char/9827.cc: Likewise.
	* testsuite/27_io/basic_ostream/cons/wchar_t/9827.cc: Likewise.
	* testsuite/27_io/basic_ostream/endl/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/endl/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/ends/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/ends/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/ends/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/ends/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/exceptions/char/9561.cc: Likewise.
	* testsuite/27_io/basic_ostream/exceptions/wchar_t/9561.cc: Likewise.
	* testsuite/27_io/basic_ostream/flush/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/flush/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/flush/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/flush/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/1.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/2.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/23871.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/3.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/31031.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/4.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/4402.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/5.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/6.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/7.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/char/exceptions_badbit_throw.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/pod/23875.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/1.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/2.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/3.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/31031.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/4.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/4402.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/5.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/6.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/7.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/exceptions_badbit_throw.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/11095-oa.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/11095-ob.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/11095-oc.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/28277-3.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/28277-4.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/3.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/4.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/5.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/6.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/char/8.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/1.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/11095-od.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/11095-oe.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/11095-of.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/2.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/28277-1.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/28277-2.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/28277-3.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/28277-4.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/3.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/4.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/5.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/6.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/7.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_character/wchar_t/8.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/3.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/4.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/5.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/error_code.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/4.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/5.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/error_code.cc:
	Likewise.
	* testsuite/27_io/basic_ostream/put/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/put/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/requirements/base_classes.cc: Likewise.
	* testsuite/27_io/basic_ostream/seekp/char/2346-fstream.cc: Likewise.
	* testsuite/27_io/basic_ostream/seekp/char/2346-sstream.cc: Likewise.
	* testsuite/27_io/basic_ostream/seekp/wchar_t/2346-fstream.cc: Likewise.
	* testsuite/27_io/basic_ostream/seekp/wchar_t/2346-sstream.cc: Likewise.
	* testsuite/27_io/basic_ostream/tellp/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/tellp/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/tellp/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/tellp/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_ostream/write/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostream/write/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/cons/char/3.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/cons/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/pthread3.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/rdbuf/wchar_t/2832.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/requirements/base_classes.cc:
	Likewise.
	* testsuite/27_io/basic_ostringstream/str/char/1.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/str/char/2.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/str/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_ostringstream/str/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_streambuf/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/char/1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/char/13007-1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/char/13007-2.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/wchar_t/13007-1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/imbue/wchar_t/13007-2.cc: Likewise.
	* testsuite/27_io/basic_streambuf/in_avail/char/1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/in_avail/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_streambuf/sputbackc/char/9538.cc: Likewise.
	* testsuite/27_io/basic_streambuf/sputbackc/wchar_t/9538.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/cons/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/cons/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/imbue/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/imbue/char/9322.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/imbue/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/imbue/wchar_t/9322.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/in_avail/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/in_avail/char/21955.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/in_avail/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/char/26250.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/char/9988.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/wchar_t/26250.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/overflow/wchar_t/9988.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/pbackfail/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/pbackfail/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/pbackfail/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/pbackfail/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/requirements/base_classes.cc:
	Likewise.
	* testsuite/27_io/basic_stringbuf/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/27_io/basic_stringbuf/requirements/explicit_instantiation/4.cc:
	Likewise.
	* testsuite/27_io/basic_stringbuf/sbumpc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sbumpc/char/9825.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sbumpc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sbumpc/wchar_t/9825.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/char/10975.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/char/16956.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/wchar_t/10975.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/wchar_t/16956.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekoff/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/char/29354.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/char/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/wchar_t/29354.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/seekpos/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/char/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/char/4.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/setbuf/wchar_t/4.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sgetc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sgetc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sgetn/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sgetn/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/snextc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/snextc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputbackc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputbackc/char/9425.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputbackc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputbackc/wchar_t/9425.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputc/char/9404-1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputc/wchar_t/9404-1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputn/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputn/char/9404-2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputn/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sputn/wchar_t/9404-2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/char/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/char/3955.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/str/wchar_t/3955.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sungetc/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringbuf/sungetc/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringstream/cons/2020.cc: Likewise.
	* testsuite/27_io/basic_stringstream/rdbuf/char/2832.cc: Likewise.
	* testsuite/27_io/basic_stringstream/rdbuf/wchar_t/2832.cc: Likewise.
	* testsuite/27_io/basic_stringstream/requirements/base_classes.cc:
	Likewise.
	* testsuite/27_io/basic_stringstream/str/char/1.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/char/2.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/char/3.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/char/4.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/wchar_t/1.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/wchar_t/2.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/wchar_t/3.cc: Likewise.
	* testsuite/27_io/basic_stringstream/str/wchar_t/4.cc: Likewise.
	* testsuite/27_io/fpos/11450.cc: Likewise.
	* testsuite/27_io/fpos/14320-1.cc: Likewise.
	* testsuite/27_io/fpos/14320-2.cc: Likewise.
	* testsuite/27_io/fpos/14320-3.cc: Likewise.
	* testsuite/27_io/fpos/14320-4.cc: Likewise.
	* testsuite/27_io/fpos/14320-5.cc: Likewise.
	* testsuite/27_io/fpos/14775.cc: Likewise.
	* testsuite/27_io/fpos/mbstate_t/12065.cc: Likewise.
	* testsuite/27_io/fpos/mbstate_t/4_neg.cc: Likewise.
	* testsuite/27_io/fpos/requirements/explicit_instantiation.cc: Likewise.
	* testsuite/27_io/headers/cinttypes/std_c++0x_neg.cc: Likewise.
	* testsuite/27_io/headers/cinttypes/types_std_c++0x.cc: Likewise.
	* testsuite/27_io/headers/cstdio/functions_std.cc: Likewise.
	* testsuite/27_io/headers/cstdio/macros.cc: Likewise.
	* testsuite/27_io/headers/cstdio/types_std.cc: Likewise.
	* testsuite/27_io/headers/fstream/synopsis.cc: Likewise.
	* testsuite/27_io/headers/fstream/types_std.cc: Likewise.
	* testsuite/27_io/headers/iomanip/synopsis.cc: Likewise.
	* testsuite/27_io/headers/ios/synopsis.cc: Likewise.
	* testsuite/27_io/headers/ios/types_std.cc: Likewise.
	* testsuite/27_io/headers/iostream/synopsis.cc: Likewise.
	* testsuite/27_io/headers/iostream/types_std.cc: Likewise.
	* testsuite/27_io/headers/istream/synopsis.cc: Likewise.
	* testsuite/27_io/headers/istream/types_std.cc: Likewise.
	* testsuite/27_io/headers/ostream/synopsis.cc: Likewise.
	* testsuite/27_io/headers/ostream/types_std.cc: Likewise.
	* testsuite/27_io/headers/sstream/synopsis.cc: Likewise.
	* testsuite/27_io/headers/sstream/types_std.cc: Likewise.
	* testsuite/27_io/headers/streambuf/synopsis.cc: Likewise.
	* testsuite/27_io/headers/streambuf/types_std.cc: Likewise.
	* testsuite/27_io/ios_base/callbacks/1.cc: Likewise.
	* testsuite/27_io/ios_base/failure/cons_virtual_derivation.cc: Likewise.
	* testsuite/27_io/ios_base/failure/what-1.cc: Likewise.
	* testsuite/27_io/ios_base/failure/what-2.cc: Likewise.
	* testsuite/27_io/ios_base/failure/what-3.cc: Likewise.
	* testsuite/27_io/ios_base/failure/what-big.cc: Likewise.
	* testsuite/27_io/ios_base/storage/1.cc: Likewise.
	* testsuite/27_io/ios_base/storage/11584.cc: Likewise.
	* testsuite/27_io/ios_base/storage/2.cc: Likewise.
	* testsuite/27_io/ios_base/storage/3.cc: Likewise.
	* testsuite/27_io/ios_base/sync_with_stdio/1.cc: Likewise.
	* testsuite/27_io/ios_base/sync_with_stdio/16959.cc: Likewise.
	* testsuite/27_io/ios_base/sync_with_stdio/2.cc: Likewise.
	* testsuite/27_io/ios_base/sync_with_stdio/9523.cc: Likewise.
	* testsuite/27_io/manipulators/standard/char/1.cc: Likewise.
	* testsuite/27_io/manipulators/standard/char/2.cc: Likewise.
	* testsuite/27_io/manipulators/standard/wchar_t/1.cc: Likewise.
	* testsuite/27_io/manipulators/standard/wchar_t/2.cc: Likewise.
	* testsuite/27_io/objects/char/1.cc: Likewise.
	* testsuite/27_io/objects/char/10.cc: Likewise.
	* testsuite/27_io/objects/char/12048-1.cc: Likewise.
	* testsuite/27_io/objects/char/12048-2.cc: Likewise.
	* testsuite/27_io/objects/char/12048-3.cc: Likewise.
	* testsuite/27_io/objects/char/12048-4.cc: Likewise.
	* testsuite/27_io/objects/char/12048-5.cc: Likewise.
	* testsuite/27_io/objects/char/2.cc: Likewise.
	* testsuite/27_io/objects/char/2523-1_xin.cc: Likewise.
	* testsuite/27_io/objects/char/2523-2_xin.cc: Likewise.
	* testsuite/27_io/objects/char/3_xin.cc: Likewise.
	* testsuite/27_io/objects/char/4_xin.cc: Likewise.
	* testsuite/27_io/objects/char/5.cc: Likewise.
	* testsuite/27_io/objects/char/5280_xin.cc: Likewise.
	* testsuite/27_io/objects/char/6.cc: Likewise.
	* testsuite/27_io/objects/char/6548_xin.cc: Likewise.
	* testsuite/27_io/objects/char/6648-1_xin.cc: Likewise.
	* testsuite/27_io/objects/char/6648-2_xin.cc: Likewise.
	* testsuite/27_io/objects/char/7.cc: Likewise.
	* testsuite/27_io/objects/char/7744_xin.cc: Likewise.
	* testsuite/27_io/objects/char/8.cc: Likewise.
	* testsuite/27_io/objects/char/9.cc: Likewise.
	* testsuite/27_io/objects/char/9661-1.cc: Likewise.
	* testsuite/27_io/objects/char/9661-2_xin.cc: Likewise.
	* testsuite/27_io/objects/char/dr455.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/1.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/10.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/11.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12048-1.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12048-2.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12048-3.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12048-4.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/12048-5.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/13.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/13582-1_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/2.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/2523-1_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/2523-2_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/3_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/4_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/5.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/5280_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/6.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/6548_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/6648-1_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/6648-2_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/7.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/7744_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/8.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/9520.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/9661-1.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/9661-2_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/9662.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/9_xin.cc: Likewise.
	* testsuite/27_io/objects/wchar_t/dr455.cc: Likewise.
	* testsuite/27_io/types/1.cc: Likewise.
	* testsuite/27_io/types/2.cc: Likewise.
	* testsuite/27_io/types/3.cc: Likewise.
	* testsuite/28_regex/headers/regex/std_c++0x_neg.cc: Likewise.
	* testsuite/29_atomics/atomic/requirements/base_classes.cc: Likewise.
	* testsuite/29_atomics/atomic_integral/requirements/standard_layout.cc:
	Likewise.
	* testsuite/29_atomics/headers/cstdatomic/functions_std_c++0x.cc:
	Likewise.
	* testsuite/29_atomics/headers/cstdatomic/macros.cc: Likewise.
	* testsuite/29_atomics/headers/cstdatomic/std_c++0x_neg.cc: Likewise.
	* testsuite/29_atomics/headers/cstdatomic/types_std_c++0x.cc: Likewise.
	* testsuite/29_atomics/headers/stdatomic.h/debug_mode.c: Likewise.
	* testsuite/29_atomics/headers/stdatomic.h/functions.c: Likewise.
	* testsuite/29_atomics/headers/stdatomic.h/macros.c: Likewise.
	* testsuite/29_atomics/headers/stdatomic.h/types.c: Likewise.
	* testsuite/30_threads/condition_variable/native_handle/typesizes.cc:
	Likewise.
	* testsuite/30_threads/condition_variable_any/native_handle/typesizes.cc:
	Likewise.
	* testsuite/30_threads/headers/condition_variable/std_c++0x_neg.cc:
	Likewise.
	* testsuite/30_threads/headers/condition_variable/types_std_c++0x.cc:
	Likewise.
	* testsuite/30_threads/headers/mutex/std_c++0x_neg.cc: Likewise.
	* testsuite/30_threads/headers/mutex/types_std_c++0x.cc: Likewise.
	* testsuite/30_threads/headers/thread/std_c++0x_neg.cc: Likewise.
	* testsuite/30_threads/headers/thread/types_std_c++0x.cc: Likewise.
	* testsuite/30_threads/mutex/native_handle/typesizes.cc: Likewise.
	* testsuite/30_threads/recursive_mutex/native_handle/typesizes.cc:
	Likewise.
	* testsuite/30_threads/recursive_timed_mutex/native_handle/typesizes.cc:
	Likewise.
	* testsuite/30_threads/thread/cons/assign_neg.cc: Likewise.
	* testsuite/30_threads/thread/cons/copy_neg.cc: Likewise.
	* testsuite/30_threads/thread/id/operators.cc: Likewise.
	* testsuite/30_threads/thread/members/hardware_concurrency.cc: Likewise.
	* testsuite/30_threads/thread/native_handle/typesizes.cc: Likewise.
	* testsuite/30_threads/timed_mutex/native_handle/typesizes.cc: Likewise.
	* testsuite/Makefile.am: Likewise.
	* testsuite/abi/30586.cc: Likewise.
	* testsuite/abi/cxx_runtime_only_linkage.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/01.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/02.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/03.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/04.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/05.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/06.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/07.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/08.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/09.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/10.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/11.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/12.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/13.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/14.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/15.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/16.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/17.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/18.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/19.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/20.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/21.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/22.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/23.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/24.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/25.cc: Likewise.
	* testsuite/abi/demangle/abi_examples/26.cc: Likewise.
	* testsuite/abi/demangle/abi_text/01.cc: Likewise.
	* testsuite/abi/demangle/abi_text/02.cc: Likewise.
	* testsuite/abi/demangle/abi_text/03.cc: Likewise.
	* testsuite/abi/demangle/abi_text/04.cc: Likewise.
	* testsuite/abi/demangle/abi_text/05.cc: Likewise.
	* testsuite/abi/demangle/abi_text/06.cc: Likewise.
	* testsuite/abi/demangle/abi_text/07.cc: Likewise.
	* testsuite/abi/demangle/abi_text/08.cc: Likewise.
	* testsuite/abi/demangle/abi_text/09.cc: Likewise.
	* testsuite/abi/demangle/abi_text/10.cc: Likewise.
	* testsuite/abi/demangle/abi_text/11.cc: Likewise.
	* testsuite/abi/demangle/abi_text/12.cc: Likewise.
	* testsuite/abi/demangle/abi_text/13.cc: Likewise.
	* testsuite/abi/demangle/abi_text/14.cc: Likewise.
	* testsuite/abi/demangle/cxx0x/rref.cc: Likewise.
	* testsuite/abi/demangle/regression/3111-1.cc: Likewise.
	* testsuite/abi/demangle/regression/3111-2.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-01.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-02.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-03.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-04.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-05.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-06.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-07.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-08.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-09.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-10.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-11.cc: Likewise.
	* testsuite/abi/demangle/regression/7986-12.cc: Likewise.
	* testsuite/abi/demangle/regression/7986.cc: Likewise.
	* testsuite/abi/demangle/regression/8897.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-01.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-02.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-03.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-04.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-05.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-06.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-07.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-08.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-09.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-10.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-11.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-12.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-13.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-14.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-15.cc: Likewise.
	* testsuite/abi/demangle/regression/cw-16.cc: Likewise.
	* testsuite/abi/demangle/regression/old.cc: Likewise.
	* testsuite/abi/header_cxxabi.c: Likewise.
	* testsuite/backward/11460.cc: Likewise.
	* testsuite/backward/hash_map/1.cc: Likewise.
	* testsuite/backward/hash_map/14648.cc: Likewise.
	* testsuite/backward/hash_map/23528.cc: Likewise.
	* testsuite/backward/hash_set/1.cc: Likewise.
	* testsuite/backward/strstream_members.cc: Likewise.
	* testsuite/config/default.exp: Likewise.
	* testsuite/data/filebuf_virtuals-1.tst: Likewise.
	* testsuite/data/filebuf_virtuals-1.txt: Likewise.
	* testsuite/data/istream_extractor_other-1.tst: Likewise.
	* testsuite/data/istream_extractor_other-1.txt: Likewise.
	* testsuite/data/istream_extractor_other-2.tst: Likewise.
	* testsuite/data/ostream_inserter_other-1.tst: Likewise.
	* testsuite/data/ostream_inserter_other-2.tst: Likewise.
	* testsuite/data/sgetn.txt: Likewise.
	* testsuite/data/wistream_extractor_other-1.tst: Likewise.
	* testsuite/data/wistream_extractor_other-1.txt: Likewise.
	* testsuite/data/wistream_extractor_other-2.tst: Likewise.
	* testsuite/data/wostream_inserter_other-1.tst: Likewise.
	* testsuite/data/wostream_inserter_other-2.tst: Likewise.
	* testsuite/ext/array_allocator/26875.cc: Likewise.
	* testsuite/ext/array_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/array_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/array_allocator/check_delete.cc: Likewise.
	* testsuite/ext/array_allocator/check_new.cc: Likewise.
	* testsuite/ext/array_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/bitmap_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/bitmap_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/bitmap_allocator/check_delete.cc: Likewise.
	* testsuite/ext/bitmap_allocator/check_new.cc: Likewise.
	* testsuite/ext/bitmap_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/codecvt/1.cc: Likewise.
	* testsuite/ext/codecvt/char-1.cc: Likewise.
	* testsuite/ext/codecvt/char-2.cc: Likewise.
	* testsuite/ext/codecvt/wchar_t.cc: Likewise.
	* testsuite/ext/concept_checks.cc: Likewise.
	* testsuite/ext/concurrence_lock_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/ext/concurrence_unlock_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/ext/debug_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/debug_allocator/check_delete.cc: Likewise.
	* testsuite/ext/debug_allocator/check_new.cc: Likewise.
	* testsuite/ext/debug_allocator/explicit_instantiation.cc: Likewise.
	* testsuite/ext/enc_filebuf/char/13189.cc: Likewise.
	* testsuite/ext/enc_filebuf/char/13598.cc: Likewise.
	* testsuite/ext/enc_filebuf/wchar_t/13189.cc: Likewise.
	* testsuite/ext/forced_exception_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/ext/headers.cc: Likewise.
	* testsuite/ext/is_heap/1.cc: Likewise.
	* testsuite/ext/is_heap/check_type.cc: Likewise.
	* testsuite/ext/malloc_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/malloc_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/malloc_allocator/check_delete.cc: Likewise.
	* testsuite/ext/malloc_allocator/check_new.cc: Likewise.
	* testsuite/ext/malloc_allocator/deallocate_global.cc: Likewise.
	* testsuite/ext/malloc_allocator/deallocate_local.cc: Likewise.
	* testsuite/ext/malloc_allocator/explicit_instantiation.cc: Likewise.
	* testsuite/ext/malloc_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/median.cc: Likewise.
	* testsuite/ext/mt_allocator/22309_thread.cc: Likewise.
	* testsuite/ext/mt_allocator/check_allocate_big_per_type.cc: Likewise.
	* testsuite/ext/mt_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/mt_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/mt_allocator/check_deallocate_null_thread.cc: Likewise.
	* testsuite/ext/mt_allocator/check_delete.cc: Likewise.
	* testsuite/ext/mt_allocator/check_new.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_global-2.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_global-4.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_global_thread-1.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_global_thread-3.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local-2.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local-4.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local-6.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local-8.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local_thread-1.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local_thread-3.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local_thread-5.cc: Likewise.
	* testsuite/ext/mt_allocator/deallocate_local_thread-7.cc: Likewise.
	* testsuite/ext/mt_allocator/explicit_instantiation.cc: Likewise.
	* testsuite/ext/mt_allocator/tune-1.cc: Likewise.
	* testsuite/ext/mt_allocator/tune-2.cc: Likewise.
	* testsuite/ext/mt_allocator/tune-3.cc: Likewise.
	* testsuite/ext/mt_allocator/tune-4.cc: Likewise.
	* testsuite/ext/mt_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/new_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/new_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/new_allocator/check_delete.cc: Likewise.
	* testsuite/ext/new_allocator/check_new.cc: Likewise.
	* testsuite/ext/new_allocator/deallocate_global.cc: Likewise.
	* testsuite/ext/new_allocator/deallocate_local.cc: Likewise.
	* testsuite/ext/new_allocator/instantiate.cc: Likewise.
	* testsuite/ext/new_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/numeric_traits/numeric_traits.cc: Likewise.
	* testsuite/ext/pool_allocator/allocate_chunk.cc: Likewise.
	* testsuite/ext/pool_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/pool_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/pool_allocator/check_delete.cc: Likewise.
	* testsuite/ext/pool_allocator/check_new.cc: Likewise.
	* testsuite/ext/pool_allocator/explicit_instantiation.cc: Likewise.
	* testsuite/ext/pool_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/rope/1.cc: Likewise.
	* testsuite/ext/rope/2.cc: Likewise.
	* testsuite/ext/rope/3.cc: Likewise.
	* testsuite/ext/rope/36832.cc: Likewise.
	* testsuite/ext/rope/4.cc: Likewise.
	* testsuite/ext/rope/pthread7-rope.cc: Likewise.
	* testsuite/ext/stdio_filebuf/char/10063-1.cc: Likewise.
	* testsuite/ext/stdio_filebuf/char/10063-2.cc: Likewise.
	* testsuite/ext/stdio_filebuf/char/10063-3.cc: Likewise.
	* testsuite/ext/stdio_filebuf/char/2.cc: Likewise.
	* testsuite/ext/stdio_filebuf/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/1.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/12048-1.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/12048-2.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/12048-3.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/12048-4.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/char/35209.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/1.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/12077.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/12948-1.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/12948-2.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/12948-3.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/12948-4.cc: Likewise.
	* testsuite/ext/stdio_sync_filebuf/wchar_t/35209.cc: Likewise.
	* testsuite/ext/throw_allocator/check_allocate_max_size.cc: Likewise.
	* testsuite/ext/throw_allocator/check_deallocate_null.cc: Likewise.
	* testsuite/ext/throw_allocator/check_delete.cc: Likewise.
	* testsuite/ext/throw_allocator/check_new.cc: Likewise.
	* testsuite/ext/throw_allocator/deallocate_global.cc: Likewise.
	* testsuite/ext/throw_allocator/deallocate_local.cc: Likewise.
	* testsuite/ext/throw_allocator/explicit_instantiation.cc: Likewise.
	* testsuite/ext/throw_allocator/variadic_construct.cc: Likewise.
	* testsuite/ext/type_traits/add_unsigned.cc: Likewise.
	* testsuite/ext/type_traits/add_unsigned_floating_neg.cc: Likewise.
	* testsuite/ext/type_traits/add_unsigned_integer_neg.cc: Likewise.
	* testsuite/ext/type_traits/remove_unsigned.cc: Likewise.
	* testsuite/ext/type_traits/remove_unsigned_floating_neg.cc: Likewise.
	* testsuite/ext/type_traits/remove_unsigned_integer_neg.cc: Likewise.
	* testsuite/ext/vstring/capacity/29134.cc: Likewise.
	* testsuite/ext/vstring/element_access/char/front_back.cc: Likewise.
	* testsuite/ext/vstring/element_access/wchar_t/front_back.cc: Likewise.
	* testsuite/ext/vstring/inserters_extractors/char/28277.cc: Likewise.
	* testsuite/ext/vstring/inserters_extractors/wchar_t/28277.cc: Likewise.
	* testsuite/ext/vstring/requirements/dr438/constructor.cc: Likewise.
	* testsuite/lib/dg-options.exp: Likewise.
	* testsuite/lib/libstdc++.exp: Likewise.
	* testsuite/lib/prune.exp: Likewise.
	* testsuite/libstdc++-abi/abi.exp: Likewise.
	* testsuite/libstdc++-dg/conformance.exp: Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/1.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/not_shared.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/not_shared2.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/not_shared3.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/shared.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/enable_shared_from_this/still_shared.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/headers/functional/synopsis.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/headers/memory/synopsis.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/headers/memory/types_std_tr1.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/assign.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/auto_ptr.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/auto_ptr_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/auto_ptr_rvalue_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/dr541.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/shared_ptr.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/assign/shared_ptr_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/casts/1.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/comparison/cmp.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/39405.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/auto_ptr.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/auto_ptr_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/copy.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/default.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/pointer.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/weak_ptr.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/weak_ptr_expired.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/dest/dest.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/misc/24595.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/misc/io.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/misc/swap.cc: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/modifiers/24805.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/modifiers/reset.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/modifiers/reset_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/modifiers/swap.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/modifiers/swap_neg.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/observers/bool_conv.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/observers/get.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/observers/unique.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/observers/use_count.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/thread/default_weaktoshared.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/thread/mutex_weaktoshared.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/weak_ptr/lock/1.cc: Likewise.
	* testsuite/tr1/2_general_utilities/weak_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/tr1/2_general_utilities/weak_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/bind/all_bound.cc: Likewise.
	* testsuite/tr1/3_function_objects/bind/nested.cc: Likewise.
	* testsuite/tr1/3_function_objects/bind/placeholders.cc: Likewise.
	* testsuite/tr1/3_function_objects/bind/ref.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/1.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/2.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/3.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/4.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/5.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/6.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/7.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/8.cc: Likewise.
	* testsuite/tr1/3_function_objects/function/9.cc: Likewise.
	* testsuite/tr1/3_function_objects/headers/functional/synopsis.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/headers/functional/types_std_tr1.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/headers/functional/using_namespace_std_tr1_placeholders.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/mem_fn.cc: Likewise.
	* testsuite/tr1/3_function_objects/reference_wrapper/invoke.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/reference_wrapper/typedefs.cc:
	Likewise.
	* testsuite/tr1/3_function_objects/result_of.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/add_const/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/add_cv/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/add_pointer/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/add_reference/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/add_volatile/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/aligned_storage/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/alignment_of/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/alignment_of/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/extent/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/extent/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_assign/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_assign/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_constructor/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_copy/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_nothrow_copy/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_assign/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_assign/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_constructor/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_copy/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_copy/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_destructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_trivial_destructor/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_virtual_destructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/has_virtual_destructor/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/headers/type_traits/synopsis.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/headers/type_traits/types_std_tr1.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/integral_constant/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/integral_constant/static_definition.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/integral_constant/true_false_type_typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/integral_constant/true_false_value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_abstract/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_abstract/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_arithmetic/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_arithmetic/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_array/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_array/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_base_of/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_base_of/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_class/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_class/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_compound/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_compound/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_const/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_const/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_convertible/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_convertible/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_empty/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_empty/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_enum/24808.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_enum/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_enum/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_floating_point/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_floating_point/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_function/24808.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_function/35637.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_function/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_function/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_fundamental/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_fundamental/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_integral/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_integral/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_function_pointer/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_function_pointer/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_object_pointer/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_object_pointer/value.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_pointer/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_member_pointer/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_object/24808.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_object/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_object/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_pod/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_pod/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_pointer/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_pointer/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_polymorphic/24809.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_polymorphic/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_polymorphic/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_reference/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_reference/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_same/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_same/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_scalar/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_scalar/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_signed/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_signed/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_union/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_union/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_unsigned/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_unsigned/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_void/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_void/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/is_volatile/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/is_volatile/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/rank/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/4_metaprogramming/rank/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_all_extents/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_const/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_cv/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_extent/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_pointer/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_reference/value.cc: Likewise.
	* testsuite/tr1/4_metaprogramming/remove_volatile/value.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/headers/random/synopsis.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/headers/random/types_std_tr1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/bernoulli_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/binomial_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/discard_block/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/discard_block/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/discard_block/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/discard_block/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/exponential_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/gamma_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/geometric_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/cons/gen1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/cons/seed1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/cons/seed2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/requirements/non_uint_neg.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/cons/gen1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/cons/seed1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/cons/seed2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/minstd_rand.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/minstd_rand0.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mt19937.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/normal_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/poisson_distribution/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/random_device/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/random_device/cons/token.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/random_device/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/ranlux3.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/ranlux3_01.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/ranlux4.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/ranlux4_01.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/cons/gen1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/cons/seed1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/cons/seed2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/cons/gen1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/cons/seed1.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/cons/seed2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry_01/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_int/33128.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_int/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_int/cons/range.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_int/cons/range_neg.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_int/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/uniform_real/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/variate_generator/37986.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/variate_generator/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/cons/default.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/operators/equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/operators/serialize.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/requirements/typedefs.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/01_assoc_laguerre/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/01_assoc_laguerre/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/01_assoc_laguerre/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/01_assoc_laguerre/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/02_assoc_legendre/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/02_assoc_legendre/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/02_assoc_legendre/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/02_assoc_legendre/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/03_beta/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/03_beta/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/03_beta/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/03_beta/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/04_comp_ellint_1/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/04_comp_ellint_1/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/04_comp_ellint_1/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/04_comp_ellint_1/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/05_comp_ellint_2/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/05_comp_ellint_2/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/05_comp_ellint_2/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/05_comp_ellint_2/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/06_comp_ellint_3/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/06_comp_ellint_3/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/06_comp_ellint_3/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/06_comp_ellint_3/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/07_conf_hyperg/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/07_conf_hyperg/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/07_conf_hyperg/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/07_conf_hyperg/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/08_cyl_bessel_i/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/08_cyl_bessel_i/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/08_cyl_bessel_i/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/08_cyl_bessel_i/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/09_cyl_bessel_j/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/09_cyl_bessel_j/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/09_cyl_bessel_j/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/09_cyl_bessel_j/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/10_cyl_bessel_k/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/10_cyl_bessel_k/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/10_cyl_bessel_k/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/10_cyl_bessel_k/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/11_cyl_neumann/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/11_cyl_neumann/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/11_cyl_neumann/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/11_cyl_neumann/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/12_ellint_1/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/12_ellint_1/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/12_ellint_1/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/12_ellint_1/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/13_ellint_2/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/13_ellint_2/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/13_ellint_2/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/13_ellint_2/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/14_ellint_3/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/14_ellint_3/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/14_ellint_3/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/14_ellint_3/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/15_expint/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/15_expint/check_value_neg.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/15_expint/check_value_pos.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/15_expint/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/15_expint/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/16_hermite/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/16_hermite/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/16_hermite/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/17_hyperg/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/17_hyperg/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/17_hyperg/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/17_hyperg/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/18_laguerre/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/18_laguerre/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/18_laguerre/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/18_laguerre/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/19_legendre/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/19_legendre/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/19_legendre/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/19_legendre/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/20_riemann_zeta/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/20_riemann_zeta/check_value_neg.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/20_riemann_zeta/check_value_pos.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/20_riemann_zeta/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/20_riemann_zeta/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/21_sph_bessel/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/21_sph_bessel/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/21_sph_bessel/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/21_sph_bessel/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/22_sph_legendre/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/22_sph_legendre/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/22_sph_legendre/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/22_sph_legendre/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/23_sph_neumann/check_nan.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/23_sph_neumann/check_value.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/23_sph_neumann/compile.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/23_sph_neumann/compile_2.cc:
	Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/testcase.h:
	Likewise.
	* testsuite/tr1/6_containers/array/capacity/empty.cc: Likewise.
	* testsuite/tr1/6_containers/array/capacity/max_size.cc: Likewise.
	* testsuite/tr1/6_containers/array/capacity/size.cc: Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/equal.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/greater.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/greater_or_equal.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/less.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/less_or_equal.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/comparison_operators/not_equal.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/cons/aggregate_initialization.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/element_access/at_out_of_range.cc:
	Likewise.
	* testsuite/tr1/6_containers/array/element_access/back.cc: Likewise.
	* testsuite/tr1/6_containers/array/element_access/data.cc: Likewise.
	* testsuite/tr1/6_containers/array/element_access/front.cc: Likewise.
	* testsuite/tr1/6_containers/array/iterators/end_is_one_past.cc:
	Likewise.
